GNU bug report logs - #58196
27.0.50; ediprolog 2.2: Please upload the new version to ELPA

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Markus Triska <triska@HIDDEN>; Keywords: moreinfo; dated Fri, 30 Sep 2022 16:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 28 Oct 2022 20:02:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 28 16:02:04 2022
Received: from localhost ([127.0.0.1]:34371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooVYK-0005F4-9W
	for submit <at> debbugs.gnu.org; Fri, 28 Oct 2022 16:02:04 -0400
Received: from mail-oa1-f42.google.com ([209.85.160.42]:33326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ooVY6-0005E4-FX
 for 58196 <at> debbugs.gnu.org; Fri, 28 Oct 2022 16:01:51 -0400
Received: by mail-oa1-f42.google.com with SMTP id
 586e51a60fabf-13bd2aea61bso7541839fac.0
 for <58196 <at> debbugs.gnu.org>; Fri, 28 Oct 2022 13:01:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=CjcYPSgoCBiMHiIAXhaQXw2A3hHqYyStg0dXd8N7204=;
 b=fgUZ6UzmEn654bbG2+NTeNZnJHiiUTFud25rbzVj2ipP/dc/ztvHdnSZPZsgcgMCXf
 FdZ3BQwaQolOBuZjs9bOJpRNkT3cLKqtnF+bPbcJOITwYGqRIkS7G8OHPa7Yv0WIZ3bN
 dSHcnaHDbh/isWTYIRSRwKGnNlFeYAGwuw2feB7xlxoMJaEdh9cKHQC55pxzXAYHBVtK
 L75WG6A4XMMTrK0vI9Bg4kmH48uQ4jXWUaRGxttvLMse7NRww8n0X3CeMOJnFo4OPb9p
 yMs++t5A0uyiwgMe6c324tARC5FcC2Or9aNo2ag16titaaXUmXactLvOOQpOLTso1Yg3
 HR2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=CjcYPSgoCBiMHiIAXhaQXw2A3hHqYyStg0dXd8N7204=;
 b=idePVtQBZMRC1aOMjgvp+6xWHBcSkeGk7/FLbRYpYznaA2BoDfOx50JeyJ58J2IJNq
 2AVXA45vvynZGQxJxaGqhj/Uxn/ZlELrXJ8ML+wbT+Wu0nKotVwtaEtqU0GiNKzJwedo
 D6oaMpFwLQuy1wfqDMYNsvdHJIgzChCuhJ7gFf7yUTg5AHag49+Ye7hhdG8yq46CIr+h
 I2ixiF1WJ2SeC3EnQyjbQOeJ6ig259wgo2t419sxBLXqKB3h5lotbmVI883G0dr03amn
 HG3dWc6/IvV40E0GFPVY5Pc7l1WXpAEakRhMhAmkYm+HYHKbH4ixZEaSYwtfjJl3ZhMd
 ZapA==
X-Gm-Message-State: ACrzQf3LdljbHAB4UwJ5dntYlTK0IsoUor7b/MEv2txE5XD5+wxLTQ15
 Hd5aaaI3imTxu9gFkZ4cvQ7t3euBVxIVaIuxKbtOAmjE
X-Google-Smtp-Source: AMsMyM6izoUIm3M1a1cNJxl7hqJMVL1NeCt9Y0S6hKSNn0q+5rOswWiwk6tip8PDznFikivqBpEYbCzMSey3Us219yg=
X-Received: by 2002:a05:6870:d79a:b0:136:50d7:faa9 with SMTP id
 bd26-20020a056870d79a00b0013650d7faa9mr9800766oab.92.1666987304990; Fri, 28
 Oct 2022 13:01:44 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 28 Oct 2022 13:01:44 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <jwvbkpvn8jw.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> <87czad0y6f.fsf@HIDDEN>
 <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
 <jwv5yg4pruk.fsf-monnier+emacs@HIDDEN>
 <878rkz3nbk.fsf@HIDDEN> <jwvbkpvn8jw.fsf-monnier+emacs@HIDDEN>
X-Hashcash: 1:20:221028:58196 <at> debbugs.gnu.org::SXyZ/mn8/L046Xjl:3+J2
MIME-Version: 1.0
Date: Fri, 28 Oct 2022 13:01:44 -0700
Message-ID: <CADwFkmkXsqw3nNHNa44g1yqG_aUz3GdgmEjH6k9KNxNPMmZG0A@HIDDEN>
Subject: Re: bug#58196: Trivial update to ediprolog
To: Stefan Monnier <monnier@HIDDEN>,
 Markus Triska <triska@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

>>   3) The image in line 101 of README.md is not shown.
>
> I think it's the same problem that the relative link to `factorial.png`
> fails.  The case is a bit different in the sense that I can't argue this
> time that the link is redundant anyway :-)
>
> Maybe we could try and recognize those links and redirect them to something like
> https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/factorial.png?h=externals/ediprolog
> but going through `cgit` is rather inefficient (and recognizing those
> links reliably is not completely trivial either).

We could just copy any image files to the web directory, and add some
heuristics to change any <img>-tags in the HTML (exported from
markdown2, org-mode, etc.) to point there.

For example, we could put factorial.png in
/images/<package-name>/factorial.png.  The only cost is a bit of
diskspace, but it shouldn't be a lot as there is already some incentive
to keep down file sizes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 28 Oct 2022 18:08:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 28 14:08:06 2022
Received: from localhost ([127.0.0.1]:34224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooTm1-00008b-Rc
	for submit <at> debbugs.gnu.org; Fri, 28 Oct 2022 14:08:06 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:23994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ooTlz-000087-Nl
 for 58196 <at> debbugs.gnu.org; Fri, 28 Oct 2022 14:08:04 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id DA9EF1002F9;
 Fri, 28 Oct 2022 14:07:57 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 1B873100091;
 Fri, 28 Oct 2022 14:07:56 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666980476;
 bh=tJ94/D/59lojXlbOIgrxBSFdZOk0L7nftspSV531uV8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=TXrQGjnlDmorL0z6s4zIlBf0bVIR3ZTdKVQIQyp393PmX3ABOHKS5K95DxCjPAu42
 JP/4ihkwvB0aIpo5q+QlMVGGbmPjkaZT0tZkf6UQ9Pwz6p1X+LARJ9Gf3RgubGk5kF
 wTK4LPBAHo0MDVNigMOFG41Hh9HXNL++rzhJ+GKjObK0YpL3wj8vdJ+ubWxnJeGWDC
 UrzlH/ixOJn+tFIY7NvQ21r2oEgo3GZfJ8/ve2UUkheum+rSqdeLatx7hl8Wxl/2FE
 4Eqebyk8XgQ6/MlM7VwkHMtGlFCqPo6CxdkyMuXdQnuksy2gTtxCKezJikusqm+vn2
 RVfvZ4/pNbyGg==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id BD5C8120E7B;
 Fri, 28 Oct 2022 14:07:55 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: Trivial update to ediprolog
In-Reply-To: <878rkz3nbk.fsf@HIDDEN> (Markus Triska's message of "Fri,
 28 Oct 2022 18:49:51 +0200")
Message-ID: <jwvbkpvn8jw.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> <87czad0y6f.fsf@HIDDEN>
 <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
 <jwv5yg4pruk.fsf-monnier+emacs@HIDDEN> <878rkz3nbk.fsf@HIDDEN>
Date: Fri, 28 Oct 2022 14:07:54 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.093 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
 KAM_SHORT               0.001 Use of a URL Shortener for very short URL
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Markus Triska [2022-10-28 18:49:51] wrote:
> Stefan Monnier <monnier@HIDDEN> writes:
>> Apparently it's a problem in the CSS.  I installed a change which seems
>> to fix it, but there's probably a more elegant and reliable way to do it.
>   1) Text that is intended to be bold is sometimes not shown in bold. For
>      example, even though line 76 of README.md starts with:
>
>        Use **M-x ediprolog-localize RET** to make any Prolog process
>
>      the text 'M-x ediprolog-localize RET' is not displayed in bold.

I think this is fixed now, thanks.

>   2) The link to ediprolog.el (line 23 of README.md) does not work.

Relative links don't work, indeed.  I don't know how we could/should fix them.
We don't actually have an `ediprolog.el` file nearby in the website.

In this particular case, I think the better option is just to remove the
link and the whole discussion of how to install it, since that's the
same as for all other packages :-)
[ And some of that info is already mentioned earlier in
  https://elpa.gnu.org/packages/ediprolog.html ]

>   3) The image in line 101 of README.md is not shown.

I think it's the same problem that the relative link to `factorial.png`
fails.  The case is a bit different in the sense that I can't argue this
time that the link is redundant anyway :-)

Maybe we could try and recognize those links and redirect them to something like
https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/factorial.png?h=externals/ediprolog
but going through `cgit` is rather inefficient (and recognizing those
links reliably is not completely trivial either).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 28 Oct 2022 16:49:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 28 12:49:57 2022
Received: from localhost ([127.0.0.1]:34179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooSYP-0006b8-1N
	for submit <at> debbugs.gnu.org; Fri, 28 Oct 2022 12:49:57 -0400
Received: from [78.47.144.35] (port=57030 helo=metalevel.at)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1ooSYL-0006ax-0s
 for 58196 <at> debbugs.gnu.org; Fri, 28 Oct 2022 12:49:55 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id 8AEFE9C74C; Fri, 28 Oct 2022 18:49:51 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: Trivial update to ediprolog
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> <87czad0y6f.fsf@HIDDEN>
 <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
 <jwv5yg4pruk.fsf-monnier+emacs@HIDDEN>
Date: Fri, 28 Oct 2022 18:49:51 +0200
In-Reply-To: <jwv5yg4pruk.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Thu, 27 Oct 2022 23:09:35 -0400")
Message-ID: <878rkz3nbk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: >
 Apparently
 it's a problem in the CSS. I installed a change which seems > to fix it,
 but there's probably a more elegant and reliable way to do it. Thank you a
 lot! I the meantime, I noticed a few additional issues: 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Stefan Monnier <monnier@HIDDEN> writes:

> Apparently it's a problem in the CSS.  I installed a change which seems
> to fix it, but there's probably a more elegant and reliable way to do it.

Thank you a lot! I the meantime, I noticed a few additional issues:

  1) Text that is intended to be bold is sometimes not shown in bold. For
     example, even though line 76 of README.md starts with:

       Use **M-x ediprolog-localize RET** to make any Prolog process

     the text 'M-x ediprolog-localize RET' is not displayed in bold.

  2) The link to ediprolog.el (line 23 of README.md) does not work.

  3) The image in line 101 of README.md is not shown.

Do you think they can also be solved, so that they work as intended?

Thank you and all the best!
Markus




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 28 Oct 2022 12:38:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 28 08:38:08 2022
Received: from localhost ([127.0.0.1]:60618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooOch-0006DX-Vq
	for submit <at> debbugs.gnu.org; Fri, 28 Oct 2022 08:38:08 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:48802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ooOcf-0006D0-Rd
 for 58196 <at> debbugs.gnu.org; Fri, 28 Oct 2022 08:38:06 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 4C4F1803F0;
 Fri, 28 Oct 2022 08:37:59 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id C58498001A;
 Fri, 28 Oct 2022 08:37:57 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666960677;
 bh=g2vsVoGQ+LERJTBYo4nRgHJoOh19mqcl/W2tUBdfNos=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=nfqIMOQaCbjrs5f3KvShTc/Wri5AVD/egz8jwPhvXajbfbs9UeqO0cnqt66H7K7Ug
 uV0Q5Vk/gvoXRa4Co4SWhOwJ0F4Uxwx+8k7nmlt/k6HW+5A6wdmpHEhoHDS2DanDDj
 9j23ahauoNKzJRqlqt+mWrkbcSMjZPOARVvU74lYFfdQWzUSoC5sp736DkAf8tk0nn
 noVAaDQVKNGYrbI02+2ZK8guIXt2VbQWW2I+RN8aWDULszOggAPaEgDORZzJxTEkDJ
 bWTRAUsq4KFWp8BFuxp+ZVyGgQCsE0//LdZnOQV8nyaTxcm3Vfw6N+Q2zoq31JdafW
 i82mzeoPEik2g==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 99389120F46;
 Fri, 28 Oct 2022 08:37:57 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#58196: Trivial update to ediprolog
In-Reply-To: <83wn8kjvzr.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 28 Oct
 2022 09:35:52 +0300")
Message-ID: <jwvk04knn1s.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> <87czad0y6f.fsf@HIDDEN>
 <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
 <CADwFkmnO7JHwyYqxrbo=PqLj7-Rx-mvH5ofv+qRkKRtSXqPH=w@HIDDEN>
 <83wn8kjvzr.fsf@HIDDEN>
Date: Fri, 28 Oct 2022 08:37:56 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.040 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: Stefan Kangas <stefan@HIDDEN>, triska@HIDDEN,
 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> How about adding markdown support to core instead?

Sounds good to me, tho I'm not sure about the "instead": the discussion
to which you replied related to the code used to generate the HTML files
for elpa.gnu.org, whereas a "Markdown support in core" may not
necessarily support the generation of HTML (and would instead focus on
rendering Markdown into an Emacs buffer).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 28 Oct 2022 06:36:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 28 02:36:12 2022
Received: from localhost ([127.0.0.1]:60049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooIyR-0002cJ-KA
	for submit <at> debbugs.gnu.org; Fri, 28 Oct 2022 02:36:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ooIyP-0002c6-Ur
 for 58196 <at> debbugs.gnu.org; Fri, 28 Oct 2022 02:36:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ooIyJ-0002ia-Vw; Fri, 28 Oct 2022 02:36:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=y/ZKXPn7JggiiPBXXBQSDTWH1c6Fn/3gldz5lV8ACdE=; b=fLSyJ8rSMIy9
 9aEQy/Nvj7usBo33eXPkAQnZNwEKppvUoByazp3d7EBN2nuKKNiloUGuV6brm70o8M3zjMrYOwy3F
 NUoviC7VN++zKq8DjAye0EFYEZiMmNTfjom6xxJlv0dEccsiPd7bUM/5jsxppqW9Go6vBADCacGuo
 dtJ09uR/95vLFtERubqrCMapn4+nZllH9dtHwJPcCC/6s9UyWyP5B5g55FZxFghAHUDV475Tt+y2y
 Iq4/CTo8HxxExwJ9EjH4QUcAgZhuX1+unY/juJkPK2yqaQVQUqov778GwveCNtLPc6CQX2llR+9xw
 3T6X1qc+9HGPAJ/phB7nRw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ooIyE-0007ur-0f; Fri, 28 Oct 2022 02:36:03 -0400
Date: Fri, 28 Oct 2022 09:35:52 +0300
Message-Id: <83wn8kjvzr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CADwFkmnO7JHwyYqxrbo=PqLj7-Rx-mvH5ofv+qRkKRtSXqPH=w@HIDDEN>
 (message from Stefan Kangas on Thu, 27 Oct 2022 20:06:34 -0700)
Subject: Re: bug#58196: Trivial update to ediprolog
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> <87czad0y6f.fsf@HIDDEN>
 <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
 <CADwFkmnO7JHwyYqxrbo=PqLj7-Rx-mvH5ofv+qRkKRtSXqPH=w@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: monnier@HIDDEN, 58196 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 58196 <at> debbugs.gnu.org
> From: Stefan Kangas <stefankangas@HIDDEN>
> Date: Thu, 27 Oct 2022 20:06:34 -0700
> 
> Stefan Monnier writes:
> 
> > And if you know about markdown processors, it would help if you could
> > provide guidance as to which one to use and how to configure it so it
> > only supports a limited set of extensions (I'd rather not get tied to
> > a particular set of extensions only supported by a particular processor,
> > which is why I currently use the no-frills `markdown` from the
> > `markdown` Debian package).
> 
> It seems like the "markdown" package is now orphaned in Debian:
> 
>     https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=466330
> 
> That package seems to have been in life support for a decade or more,
> based on the Debian changelog and the above discussion.
> 
> How about using python-markdown instead?  It seems to be actively
> maintained and no-frills enough.  See:
> 
>     https://python-markdown.github.io/#goals
> 
> It has optional extensions, such as one for tables.

How about adding markdown support to core instead?  It shouldn't be
hard to whip up a decent markdown mode for Emacs, and I recently
learned that Eglot works much better when such a mode is available.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 28 Oct 2022 03:35:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 23:35:50 2022
Received: from localhost ([127.0.0.1]:59915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooG9u-0006U8-2J
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 23:35:50 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:49592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ooG9s-0006Tv-9A
 for 58196 <at> debbugs.gnu.org; Thu, 27 Oct 2022 23:35:49 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 5282810020F;
 Thu, 27 Oct 2022 23:35:42 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id ACE2910011A;
 Thu, 27 Oct 2022 23:35:40 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666928140;
 bh=5cLf8tUWjGVfRkAt9MvTW/5MjVS0p0hV0ey0rz1PG9I=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=g7sYU7yqgRv0W76l0OdHJaNxqY8+K0Y9vgR5RgGS2iEaFWQgVlOwnK4YNUQDOeTsK
 qHbWO6b52ptbFK5tbt3uIdG49L1AaUWePjg2930pD0nYZuUR393dBOwVsSNuSOcr7Y
 ZVPDyfJAUG5GiodFw7pt7Y0E317WCQYaGRQBYxVuSc2C6K9PP6GHLEC6iXI95UIXVa
 QDEjyw85Y1j8MheRbdEz+soZS3fcQ7JstE6FRO2fto7PAqSKQASwzGjJJQ2axDN12H
 28iUF/9Q5nH32Lg117X+k2eyJ/luDQB+jEPYjlHDnctk8VJCwzP1xHNGJMp78/Ay7R
 h2eeMC8fgVYfg==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 72CF0120EB7;
 Thu, 27 Oct 2022 23:35:40 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#58196: Trivial update to ediprolog
In-Reply-To: <CADwFkmnO7JHwyYqxrbo=PqLj7-Rx-mvH5ofv+qRkKRtSXqPH=w@HIDDEN>
 (Stefan Kangas's message of "Thu, 27 Oct 2022 20:06:34 -0700")
Message-ID: <jwvzgdgoc70.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> <87czad0y6f.fsf@HIDDEN>
 <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
 <CADwFkmnO7JHwyYqxrbo=PqLj7-Rx-mvH5ofv+qRkKRtSXqPH=w@HIDDEN>
Date: Thu, 27 Oct 2022 23:35:39 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.146 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: Markus Triska <triska@HIDDEN>, 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> How about using python-markdown instead?  It seems to be actively
> maintained and no-frills enough.  See:
>
>     https://python-markdown.github.io/#goals
>
> It has optional extensions, such as one for tables.

I ended up using https://github.com/trentm/python-markdown2
instead.  The choice was largely arbitrary, but markdown2 was smaller,
claims to be faster, and had one less dependency.

So, from now on, tables should start working (not in existing pages,
tho: it'll only start working after a new tarball gets built).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 28 Oct 2022 03:09:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 23:09:49 2022
Received: from localhost ([127.0.0.1]:59908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooFkj-0005s4-Kg
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 23:09:49 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:8563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ooFki-0005rr-5f
 for 58196 <at> debbugs.gnu.org; Thu, 27 Oct 2022 23:09:48 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 2CD11441807;
 Thu, 27 Oct 2022 23:09:42 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id A20A3441801;
 Thu, 27 Oct 2022 23:09:36 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666926576;
 bh=1q2yoOBkmPbq0XKL+KFDNeL8dsc1NB0/vLv8dfe2qEs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=X3F+hk2hutD5UdlQ0yrdOJb6+CY9NpBU7EzBpQa+NCerHq69wRcEPM2UTqykHSp76
 ogH0mLItkKf0XGc3WN+VE+ldWoJCQYHrIc1zAOgqtn8yzGjrHnwi8y65bLDFymb69A
 O9FBoQ1E5Imney+u6scjNjZY0xsEJTUDZ84aCsCK8XRUc5cXItySzJyW2Zx/ipJ4LU
 VP4vJCc1W0G0SN9pECHI7qu4ul0VWCKtV1mgYY2sPZJ6GcGRN3rMFupVFzQnr6sltF
 lqcjmcqwOz7dAOHA5Kfv35K6KmFyNV0UFGShqbhAL58mESTIC99R3GD6f+s+HBoLd0
 ygbDhwb5KFEnQ==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 78524120F46;
 Thu, 27 Oct 2022 23:09:36 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: Trivial update to ediprolog
In-Reply-To: <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Thu, 27 Oct 2022 22:08:03 -0400")
Message-ID: <jwv5yg4pruk.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> <87czad0y6f.fsf@HIDDEN>
 <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
Date: Thu, 27 Oct 2022 23:09:35 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.097 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> Thank you, I will look into this! One remaining issue I noticed is that
>> the formatting of the ELPA description page seems to be a bit broken
>> now, in particular (1) the result of the sample query
>
> Hmm... that looks quite odd indeed.  Looks like a bug in the markdown
> rendering into HTML or a side-effect of the CSS we apply to it.

Apparently it's a problem in the CSS.  I installed a change which seems
to fix it, but there's probably a more elegant and reliable way to do it.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 28 Oct 2022 03:06:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 23:06:42 2022
Received: from localhost ([127.0.0.1]:59895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooFhi-0005nU-GQ
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 23:06:42 -0400
Received: from mail-oa1-f44.google.com ([209.85.160.44]:42687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ooFhg-0005nI-Ik
 for 58196 <at> debbugs.gnu.org; Thu, 27 Oct 2022 23:06:41 -0400
Received: by mail-oa1-f44.google.com with SMTP id
 586e51a60fabf-13ae8117023so4945054fac.9
 for <58196 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 20:06:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=z0bHS2O5aE103gh2lFb4VCKs1lkEweGLHxdIViK65Gs=;
 b=lJVgK76TYan5Hnm37Cnkgy2w/8zF/9KNmujAWeOlyZUNIIiMXdH4SGcjeHU2RA+xD2
 OvaLBKfu9J8fIxeYfd8tR/oYtGJFGeiQzM1SiHAsyOEYmSsCnVpkX/XOprb8/L7DPkjK
 iVmkBfj8YUraIBA6JucNkcGyxaTTuBpxlTIgXvHvtkEpYh+kk6qQhTW2wFlM1CtXqvFP
 c7yud6UmX/ya5D9elztrGxlCfMtDA1e0ZhY25bpv/jPE4eeH8y3ClvzKJgIIcEIP9Y+W
 +aRQuO3ZFGpbrQh3wVbTQzlXk5UTUrCg3czcyAXn+TJcE8apot9J0fgcknpzizBufHQ6
 273w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=z0bHS2O5aE103gh2lFb4VCKs1lkEweGLHxdIViK65Gs=;
 b=M0OoNj44GZD4wPgCqtuV6/hOSmuKVNXuGsbtH/qrzBhKAB3MVqIwNr8dxWPuXl3c+W
 e/j4aNplk7WQzOpwD9P55gMIVAtA2hBvgvpdhve6mTc5UPt7A/ka3o2DtTeQbKC9Gl9n
 sln6qq+y1TvlF0msktNR+ii+/8FUHIm2PnFCaZ3aO8S1ytz+QFpm/psX5jaPQ21uQZ9g
 vI5F+c/1gB4DyjlJtoULyqfLbW/MpOLg2HHQj1pIJpzQ73dtWkMLZ29fT5mYNXnGzBxm
 aDSBFLlM3Nns0iw6DxNOitI/U2R7XDYWdkATATOEe/ACjOtjWRGNvnZ+0um2cS+KVgCM
 VAmw==
X-Gm-Message-State: ACrzQf2nLJ4sCWSCO8A6PcTp+Fpnx+nV06Mnisz+Fo+N7VG4k8Ab52Bh
 GNp8PAWnFNFpJE3AXUep4oo3PEgH+PiZ8xXkemkkHxfo
X-Google-Smtp-Source: AMsMyM5Ux/iRlhdmlhmpU8rVBHvhxsnKOBrb5XySTMC1Nz3AxTjlhpnyXOdMpfRsaPfnvRWXoR48ksx6Lai+nJp2jWY=
X-Received: by 2002:a05:6870:c0d5:b0:13a:fb98:713d with SMTP id
 e21-20020a056870c0d500b0013afb98713dmr7639498oad.199.1666926394802; Thu, 27
 Oct 2022 20:06:34 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 27 Oct 2022 20:06:34 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> <87czad0y6f.fsf@HIDDEN>
 <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
X-Hashcash: 1:20:221028:58196 <at> debbugs.gnu.org::FEiCjXYoEqDhCcZg:4wk1
MIME-Version: 1.0
Date: Thu, 27 Oct 2022 20:06:34 -0700
Message-ID: <CADwFkmnO7JHwyYqxrbo=PqLj7-Rx-mvH5ofv+qRkKRtSXqPH=w@HIDDEN>
Subject: Re: bug#58196: Trivial update to ediprolog
To: Stefan Monnier <monnier@HIDDEN>,
 Markus Triska <triska@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier writes:

> And if you know about markdown processors, it would help if you could
> provide guidance as to which one to use and how to configure it so it
> only supports a limited set of extensions (I'd rather not get tied to
> a particular set of extensions only supported by a particular processor,
> which is why I currently use the no-frills `markdown` from the
> `markdown` Debian package).

It seems like the "markdown" package is now orphaned in Debian:

    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=466330

That package seems to have been in life support for a decade or more,
based on the Debian changelog and the above discussion.

How about using python-markdown instead?  It seems to be actively
maintained and no-frills enough.  See:

    https://python-markdown.github.io/#goals

It has optional extensions, such as one for tables.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 28 Oct 2022 02:08:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 22:08:21 2022
Received: from localhost ([127.0.0.1]:59816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooEnF-0004NU-5e
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 22:08:21 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:23115)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ooEnD-0004NG-Jj
 for 58196 <at> debbugs.gnu.org; Thu, 27 Oct 2022 22:08:20 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id BBAA510020F;
 Thu, 27 Oct 2022 22:08:13 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id D64EB10011A;
 Thu, 27 Oct 2022 22:08:04 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666922884;
 bh=4Urvhnt8WWFdSFhx57zWPMoTxhcLum4pQJVnekHw9nM=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=AZcexNlc8GvsRYyPNuOAGFxJKkdmg/CHqDAzeoB/9/k75xQ5UlUYJacvqHOOPt3Ap
 4fefou+77heqXGfffq8jxphQKYeKSNfiicdtEVOX4E8xDtCKixjTrFWqCQnXXgGYqv
 cYAAYG7/SWrWbb6gPqdQ8cvHxnw/bLqTkUDDJMbfoLMYItIfyHPKa6aaYBoQfWLzC3
 ckQQdFmIqgugH5zsiKB5vrVRAdCUDqCXG1mRlM7zL8WXIn/HDoE3kVDTv4hYsAi1YE
 KX+HlDI+WdTOVGyM/9NqMTW8K++1ZjsytJkDzjeNOQyKP4YdwcC6chrbFuWGfdQhTq
 VyeFGqcJ/jjNg==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id AADE1120FD8;
 Thu, 27 Oct 2022 22:08:04 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: Trivial update to ediprolog
In-Reply-To: <87czad0y6f.fsf@HIDDEN> (Markus Triska's message of "Thu,
 27 Oct 2022 23:11:20 +0200")
Message-ID: <jwvmt9gpuz9.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> <87czad0y6f.fsf@HIDDEN>
Date: Thu, 27 Oct 2022 22:08:03 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.153 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Thank you, I will look into this! One remaining issue I noticed is that
> the formatting of the ELPA description page seems to be a bit broken
> now, in particular (1) the result of the sample query

Hmm... that looks quite odd indeed.  Looks like a bug in the markdown
rendering into HTML or a side-effect of the CSS we apply to it.

> and also (2) the
> table showing the key sequences on this page:

This one is normal/expected: we currently only support the "plainest"
markdown, not extensions like tables.

> Why does this issue arise, is this an issue of Markdown rendering, and
> can I do anything to display the page as intended?

If you happen to know a bit about HTML, it would help if you looked at
the generated HTML for the query result and tell me if the problem is in
the HTML itself or the CSS applied to it.

And if you know about markdown processors, it would help if you could
provide guidance as to which one to use and how to configure it so it
only supports a limited set of extensions (I'd rather not get tied to
a particular set of extensions only supported by a particular processor,
which is why I currently use the no-frills `markdown` from the
`markdown` Debian package).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 27 Oct 2022 21:11:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 17:11:24 2022
Received: from localhost ([127.0.0.1]:59470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooA9s-00033Y-Gp
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 17:11:24 -0400
Received: from [78.47.144.35] (port=47724 helo=metalevel.at)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1ooA9q-00033P-1x
 for 58196 <at> debbugs.gnu.org; Thu, 27 Oct 2022 17:11:23 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id 80AE09C75A; Thu, 27 Oct 2022 23:11:20 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: Trivial update to ediprolog
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
 <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN>
Date: Thu, 27 Oct 2022 23:11:20 +0200
In-Reply-To: <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Wed, 26 Oct 2022 09:32:13 -0400")
Message-ID: <87czad0y6f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Thank you,
 I will look into this! One remaining issue I noticed
 is that the formatting of the ELPA description page seems to be a bit broken
 now, in particular (1) the result of the sample query and a [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Thank you, I will look into this! One remaining issue I noticed is that
the formatting of the ELPA description page seems to be a bit broken
now, in particular (1) the result of the sample query and also (2) the
table showing the key sequences on this page:

    https://elpa.gnu.org/packages/ediprolog.html

For comparison, this is how the page looked previously:

    https://web.archive.org/web/20211016152552/https://elpa.gnu.org/packages/ediprolog.html

Note that the answer to the sample query is correctly formatted
(spanning multiple lines), and the table of key sequences is also shown
very readably.

Why does this issue arise, is this an issue of Markdown rendering, and
can I do anything to display the page as intended?

Thank you and all the best,
Markus




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 26 Oct 2022 13:32:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 09:32:24 2022
Received: from localhost ([127.0.0.1]:53729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ongW8-0000rU-5X
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2022 09:32:24 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:47187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ongW6-0000rH-8l
 for 58196 <at> debbugs.gnu.org; Wed, 26 Oct 2022 09:32:22 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id DD732807AF;
 Wed, 26 Oct 2022 09:32:16 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 913A180365;
 Wed, 26 Oct 2022 09:32:15 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666791135;
 bh=rX+ho/GMobN157hocGE7yISn9JXMma32Gj/YSqWzAyA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=cMLnmSlgmLe2VkiEq03yMrNM6kksK8pPsNqxmuhOcxiIjRjMBvO8XC6O6dnFajfcP
 i+lvMizVPkYSLrhSHibQpUDwc5mVzIo4cAWh9p9uYBOMcQM6Ypg9paq0NuPBkVf8uE
 WsyYFlV0mpcQ5ycWxsVHjPpcuMil23+vHqYcFbaogbuhosDTJ3Oxpiba2UeI5dZlro
 m0thgy0xAIVH2L5YsunSTl5tcrqcbV1eLLI+fh1LP9QzL7SEh2qk2AFH7N077BdgyD
 MOzfnRj1ep2PLfMNSGk7vFsWmdEbaiL6mNSJZdPx9ceyUYjuM1UZTuHFryM0cLMZ8y
 q2rlnxenJ9dhQ==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 6B5B4120409;
 Wed, 26 Oct 2022 09:32:15 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: Trivial update to ediprolog
In-Reply-To: <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Wed, 26 Oct 2022 09:26:33 -0400")
Message-ID: <jwvlep2u2xo.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
Date: Wed, 26 Oct 2022 09:32:13 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.060 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> The best way you can do that is:
>
>     cd .../where/you/keep/your/clone/of/ediprolog/
>     git fetch git://git.sv.gnu.org/emacs/elpa.git scratch/ediprolog 
>     git merge FETCH_HEAD

Actually, now a better choice would be:

     cd .../where/you/keep/your/clone/of/ediprolog/
     git fetch git://git.sv.gnu.org/emacs/elpa.git externals/ediprolog 
     git merge FETCH_HEAD


-- Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 26 Oct 2022 13:26:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 09:26:48 2022
Received: from localhost ([127.0.0.1]:53722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ongQi-0000iy-Bb
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2022 09:26:48 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:17157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ongQc-0000ig-Db
 for 58196 <at> debbugs.gnu.org; Wed, 26 Oct 2022 09:26:46 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 98E2F807AF;
 Wed, 26 Oct 2022 09:26:36 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 18F5B8008E;
 Wed, 26 Oct 2022 09:26:35 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666790795;
 bh=OOzDOxHDT8NF5JnILf5PUYDIAHdXtanhkKVAv/qsaqE=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=lWcS6ojSHrDyL2WnyPkWJZ/1cCleT8rajTPe7W4YooG3KRrn/pUapn0aelG8vRyjP
 0WylkUV2ThdPzz5bYkPF+5QOPErHoqaz4Ld66mP7QBO1R09fZ7M1Np4GfyTcDrUmn1
 9t/yIRpfUoV46DkRk2UjQtPGFFYp787HdYR7wbqPpmz8cns145kXx4dVpE4BqJxpwG
 z21c6W1vE9i4U7KjKYHD4S6eI64Mz2CM79dFdeJPmW6KBp1b81eol0F8/rONoU5aa/
 F3Iif3oCpvggr7q8Tct1oqdDK0ea7boZPuPuTvkVpCfo6mkA9Vj3m0rYDyR6AmFBJ9
 gE5tJRU+8nu9w==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id E7C5A120EC5;
 Wed, 26 Oct 2022 09:26:34 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: Trivial update to ediprolog
In-Reply-To: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 18 Oct 2022 10:34:15 -0400")
Message-ID: <jwv1qquvhzj.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
Date: Wed, 26 Oct 2022 09:26:33 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.068 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> It will make 2 changes:
>
> - Change copyright line to make it compatible with GNU ELPA requirements.
> - Add a `Version: 2.2` header line so GNU ELPA can make a release of the
>   new code.
> - Tell Git that those changes have been merged, so it can properly track
>   future changes from your repository.

I added a hack in GNU ELPA's scripts to deal with the third point, but
the other two are still a problem:

- As long as you use another copyright line, every time you make a change
  to that line, the automatic merge will fail because of a merge
  conflict, so it will require manual intervention.

- As long as you don't use the `Version:` header, the scripts won't know
  when you want to make a new release, so again manual intervention will
  be needed every time you want to make a release.

Could you please please pretty please help me reduce my workload by
avoiding those needs for human intervention?

The best way you can do that is:

    cd .../where/you/keep/your/clone/of/ediprolog/
    git fetch git://git.sv.gnu.org/emacs/elpa.git scratch/ediprolog 
    git merge FETCH_HEAD


-- Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 25 Oct 2022 19:49:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 15:49:14 2022
Received: from localhost ([127.0.0.1]:52433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onPvF-0004fp-Ug
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 15:49:14 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:57716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1onPvE-0004fc-7d
 for 58196 <at> debbugs.gnu.org; Tue, 25 Oct 2022 15:49:13 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 93DE84425A1;
 Tue, 25 Oct 2022 15:49:05 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 07D07442597;
 Tue, 25 Oct 2022 15:49:04 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666727344;
 bh=vi37gpeNfbtaTaKs9eU1czxfKNAbqB9p7R8CmwEMo7k=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=BcffU0C/clSGvXGTw0FrBj3dtIVU4t+/ig3LBP4lk0nNFP0HRcPR1uvcii25dPhE4
 ksQZeQC6dX38xBwCccrB/8zJaMBeQBJx/f7pmitn7VvXjs4xXa3zDVTWxGg6/w/lTb
 IAcFNAtTRzQuYWBL1KgdiJwNx7q1gSVYYGs07kQwuPNtHWyjiCYDxNe8VWaLpQMDi/
 GLCk8yvXoH9tbvxVm58AvIHGJFtw/ChUjty3GSc6uKEAkSQ88HyqiFj7gZB/Cquym/
 eavCPnaRHQBJo44DNHraEtqOIJ3SEiyIhwPPf/Cgiu2EL4JLvfxBA1NCeWOc02pYwG
 raEo5drbGk2Zg==
Received: from alfajor (unknown [45.44.229.252])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id C3D65120F32;
 Tue, 25 Oct 2022 15:49:03 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: Trivial update to ediprolog
In-Reply-To: <87sfjfath5.fsf@HIDDEN> (Markus Triska's message of "Sun,
 23 Oct 2022 09:29:10 +0200")
Message-ID: <jwvo7tz3d46.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <87bkq3ltib.fsf@HIDDEN> <jwv1qqzx1hg.fsf-monnier+emacs@HIDDEN>
 <87sfjfath5.fsf@HIDDEN>
Date: Tue, 25 Oct 2022 15:49:01 -0400
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.318 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> [ BTW, you've signed the copyright paperwork which transferred the
>>   copyright to the FSF, so you technically do not own the copyright to
>>   that file any more, so your upstream code's copyright line is
>>   incorrect.  ]
>
> The jurisdiction where I reside guarantees authors' rights as opposed to
> copyright.

Yes, they use different names, but they work pretty much in the same way.

> Certain rights I have as the sole author of ediprolog.el
> cannot be transferred,

The same for copyright law in North America.  They're just called
differently, but by and large they work the same.

> except by inheritance, even if I wanted to transfer them (=A7 23
> Abs. 3 UrhG). The rights I have as the author of ediprolog.el include
> the right to decide whether and how to display that I am its author (=A7
> 20 Abs. 1 UrhG).
>
> In the master file of ediprolog.el, I am using the copyright notice as
> the usual way ("=FCbliche Weise") in which authorship is indicated in
> code. This is to satisfy the conditions of =A7 12 UrhG to indicate me as
> the author of the code. Since I am the author, the notice it correct.

Fine, then it's not technically incorrect, but it's still inconvenient
for us and it's misleading when interpreted based on the meaning of
those words in some other jurisdictions.  In contrast, you also have

    ;; Author: Markus Triska <triska@HIDDEN>

in that file, which should be very clear to everyone and makes your
copyright line redundant (in addition to inconvenient for us and
misleading in some contexts).

> I have the rights I mentioned also without this notice, and therefore I
> accept changes you make to this notice if they are required to
> distribute ediprolog.el on ELPA. The master file I provide in the
> jurisdiction where I reside will retain the notice for the reason above.

If all authors of all GNU ELPA packages were to ask for special
treatment for their pet detail, I'd have given up on GNU ELPA
a long time ago.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 23 Oct 2022 07:29:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 23 03:29:14 2022
Received: from localhost ([127.0.0.1]:42798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1omVQ2-0007Vu-JT
	for submit <at> debbugs.gnu.org; Sun, 23 Oct 2022 03:29:14 -0400
Received: from [78.47.144.35] (port=45282 helo=metalevel.at)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1omVPz-0007Vl-PT
 for 58196 <at> debbugs.gnu.org; Sun, 23 Oct 2022 03:29:12 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id 1BF309C75D; Sun, 23 Oct 2022 09:29:10 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: Trivial update to ediprolog
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <87bkq3ltib.fsf@HIDDEN> <jwv1qqzx1hg.fsf-monnier+emacs@HIDDEN>
Date: Sun, 23 Oct 2022 09:29:10 +0200
Message-ID: <87sfjfath5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: > [ BTW,
 you've signed the copyright paperwork which transferred the > copyright to
 the FSF, so you technically do not own the copyright to > that file any more, 
 so your upstream code's copyright line [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Stefan Monnier <monnier@HIDDEN> writes:

> [ BTW, you've signed the copyright paperwork which transferred the
>   copyright to the FSF, so you technically do not own the copyright to
>   that file any more, so your upstream code's copyright line is
>   incorrect.  ]

The jurisdiction where I reside guarantees authors' rights as opposed to
copyright. Certain rights I have as the sole author of ediprolog.el
cannot be transferred, except by inheritance, even if I wanted to
transfer them (=C2=A7 23 Abs. 3 UrhG). The rights I have as the author of
ediprolog.el include the right to decide whether and how to display that
I am its author (=C2=A7 20 Abs. 1 UrhG).

In the master file of ediprolog.el, I am using the copyright notice as
the usual way ("=C3=BCbliche Weise") in which authorship is indicated in
code. This is to satisfy the conditions of =C2=A7 12 UrhG to indicate me as
the author of the code. Since I am the author, the notice it correct.

I have the rights I mentioned also without this notice, and therefore I
accept changes you make to this notice if they are required to
distribute ediprolog.el on ELPA. The master file I provide in the
jurisdiction where I reside will retain the notice for the reason above.

Thank you and all the best,
Markus





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 22 Oct 2022 16:51:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 22 12:51:48 2022
Received: from localhost ([127.0.0.1]:42221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1omHiu-0003sF-5m
	for submit <at> debbugs.gnu.org; Sat, 22 Oct 2022 12:51:48 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:52386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1omHiq-0003s0-Q7
 for 58196 <at> debbugs.gnu.org; Sat, 22 Oct 2022 12:51:47 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id E5AB7440BE1;
 Sat, 22 Oct 2022 12:51:38 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 61EB3440BFB;
 Sat, 22 Oct 2022 12:51:37 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666457497;
 bh=GYT8XhnBgFandpCkKv+LEh4/cPFMpAGP2qc/aeIcKwk=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=lXlSdKpgW0pDvkG6HIVXTaOfbNxGbyqhQZ94MBAgWxG75dvaH2dMqJCZHsBQEkMS+
 t9hkf8I7B39IDIuZ6+wuZd5Xdo18XbpcAac/SdfMDG8dZ5v8wK8wImb7jOFiPUjBfq
 fmQqURM1AJGLKjgqUm9TiSDdS2eriFI0DcvnxXcsqlGt9/TSmQN3JWM3wTmF7uGZkP
 WQW8J8+WRZzyZz661SrC0aJvgzHP55N80Emm4VgKcAo/Qfry7IAQSzaSQ+zUNI+YS2
 qLq3W7HidlLKU2LTZPzd/aeOzTj5hUy4WyyPnfOyylUnRXGtlr4NxKRbA1w9E9v9UH
 PMDuBzKk2kJgg==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 3F05212077E;
 Sat, 22 Oct 2022 12:51:37 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: Trivial update to ediprolog
In-Reply-To: <87bkq3ltib.fsf@HIDDEN> (Markus Triska's message of "Sat,
 22 Oct 2022 18:20:44 +0200")
Message-ID: <jwv1qqzx1hg.fsf-monnier+emacs@HIDDEN>
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
 <87bkq3ltib.fsf@HIDDEN>
Date: Sat, 22 Oct 2022 12:51:36 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.069 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Markus,

> Thank you! Please do keep these changes in the ELPA version of the file,
> since they are specific to ELPA.

I don't see why you think they are specific to GNU ELPA.

E.g. the `Version:` header is a convention followed by most packages
nowadays and used by various tools, whereas your `ediprolog-version`
variable is not used even by your code (or doc).

> The git repository of ediprolog provides the master copy of
> ediprolog.el, and I will keep it as it is.

So you do not want to add a `Version:` line and you do not want to
change the copyright line to say that it is owned by the FSF?

Could you explain why?

The `git merge` dance I'm asking you to do is expected to be a one-time
occurrence, not something that you'll need to do for every release.

[ BTW, you've signed the copyright paperwork which transferred the
  copyright to the FSF, so you technically do not own the copyright to
  that file any more, so your upstream code's copyright line is
  incorrect.  ]

> In a previous mail in this thread, I have provided a patchset relative
> to the current ELPA version of ediprolog.el that incorporates all latest
> developments from the master version which I provide on the ediprolog
> page and also on github. If possible, please use the patchset to update
> the ELPA version, and make any ELPA-specific adjustments as necessary.

There are enough packages in (Non)GNU ELPA that we try to avoid such
manual work.  Instead changes are automatically pulled from upstream
repositories and new packages are released without further human
intervention.  More specifically the only human intervention needed to
cause a new release is the upstream maintainer's modification of the
`Version:` line.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 22 Oct 2022 16:20:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 22 12:20:54 2022
Received: from localhost ([127.0.0.1]:42214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1omHEy-00037M-0s
	for submit <at> debbugs.gnu.org; Sat, 22 Oct 2022 12:20:54 -0400
Received: from [78.47.144.35] (port=41050 helo=metalevel.at)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1omHEs-000379-Gd
 for 58196 <at> debbugs.gnu.org; Sat, 22 Oct 2022 12:20:50 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id 02F119C75D; Sat, 22 Oct 2022 18:20:44 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: Trivial update to ediprolog
References: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
Date: Sat, 22 Oct 2022 18:20:44 +0200
Message-ID: <87bkq3ltib.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Thank you! Please do keep these changes in the ELPA version
 of the file, since they are specific to ELPA. The git repository of ediprolog
 provides the master copy of ediprolog.el, and I will keep it a [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Thank you! Please do keep these changes in the ELPA version of the file,
since they are specific to ELPA. The git repository of ediprolog
provides the master copy of ediprolog.el, and I will keep it as it is.

In a previous mail in this thread, I have provided a patchset relative
to the current ELPA version of ediprolog.el that incorporates all latest
developments from the master version which I provide on the ediprolog
page and also on github. If possible, please use the patchset to update
the ELPA version, and make any ELPA-specific adjustments as necessary.

Unfortunately I cannot help further, so I hope this suffices.

Thank you and all the best,
Markus

Stefan Monnier <monnier@HIDDEN> writes:

> Hi,
>
> Could you do:
>
>     cd .../where/you/keep/your/clone/of/ediprolog/
>     git fetch git://git.sv.gnu.org/emacs/elpa.git scratch/ediprolog 
>     git merge FETCH_HEAD
>
> so as to merge the few minor changes we had over in elpa.git?
> It will make 2 changes:
>
> - Change copyright line to make it compatible with GNU ELPA requirements.
> - Add a `Version: 2.2` header line so GNU ELPA can make a release of the
>   new code.
> - Tell Git that those changes have been merged, so it can properly track
>   future changes from your repository.
>
>
>         Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 18 Oct 2022 14:34:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 18 10:34:26 2022
Received: from localhost ([127.0.0.1]:53691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oknfm-0006Us-EF
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2022 10:34:26 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:58681)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oknfj-0006Ua-Tu
 for 58196 <at> debbugs.gnu.org; Tue, 18 Oct 2022 10:34:24 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 88CAB44111C;
 Tue, 18 Oct 2022 10:34:18 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 34F94442702;
 Tue, 18 Oct 2022 10:34:17 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1666103657;
 bh=BPrZFZWriZ8x/S7k51D5zUmas5ogGrRn35K5SjFo664=;
 h=From:To:Cc:Subject:Date:From;
 b=AFEhBiXXqptu5/FL0MUhS9Se7TkzAaS8BM2qWtse9EGEUJvkD2lgzlxiYNGaZi5Wg
 jZf/njqEyZiNpZVQSEnVfgDNJkgdWXcs+FrfAOvP/B367if0gR1oDTGebsM7eKsFok
 Tq937go0I/Ejvt2uJ1SrPu+4wcrKrfZsgWauxy9IWPGwMitcy+iORh4CHYQdS9rRW5
 wIiw6d8OnN7J+6MUXFP5vL5lVyuBchz6H4zTR38wcEAZ3yrEEATEdomR3zPbECCB7S
 tA+ihAFVNTL1XQdDEjHB3HZ1QdT3GXUJnMGrfbjbQlhZz/kBl1Lb73MtLh2/8v2OiB
 oF8TyiECx1raA==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id E0248120F15;
 Tue, 18 Oct 2022 10:34:16 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Trivial update to ediprolog
Message-ID: <jwvfsfl8ase.fsf-monnier+emacs@HIDDEN>
Date: Tue, 18 Oct 2022 10:34:15 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.067 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Could you do:

    cd .../where/you/keep/your/clone/of/ediprolog/
    git fetch git://git.sv.gnu.org/emacs/elpa.git scratch/ediprolog 
    git merge FETCH_HEAD

so as to merge the few minor changes we had over in elpa.git?
It will make 2 changes:

- Change copyright line to make it compatible with GNU ELPA requirements.
- Add a `Version: 2.2` header line so GNU ELPA can make a release of the
  new code.
- Tell Git that those changes have been merged, so it can properly track
  future changes from your repository.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 3 Oct 2022 00:43:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 20:43:11 2022
Received: from localhost ([127.0.0.1]:48434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1of9Y7-0007ds-E6
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 20:43:11 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:49815)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1of9Y5-0007dd-6i
 for 58196 <at> debbugs.gnu.org; Sun, 02 Oct 2022 20:43:09 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id C386580784;
 Sun,  2 Oct 2022 20:43:03 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 8F5A980470;
 Sun,  2 Oct 2022 20:43:02 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1664757782;
 bh=jfYuCYHuzKNDV8Yf5JFtoj3gnGVt852ECCbDA37ZnKc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=ESXb6WlS9VlJRtvOwucwgKik9YYNqcF8tCNt8/eJDKoetFA7tvmusHUuPq8yPOwsP
 ei9an0/NqciUWtdvPOK9F9a9DGImmaXCADduYBc0mxfCdbp/wACfjxdbs68otUaH9e
 02gjs+9M5DRf2H8qV0K9T4C5WnApZSw10+i4622A8FlPkFa14yRGC3b7Yh5XR6SiVI
 +3lUtJ3H16Og15ff+Nl/X/DREauywJEtRT9cNwmcQF6I9KpJH46dBEdsJ47kLCqMsG
 weJSY7hzVXQf/AFj99nJxSozj5ZPUHSO6zqhi32pnBFM8JqVH7/DrJzepsCMgTu/4p
 km3fEHOe4WclQ==
Received: from alfajor (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 6424D120BC6;
 Sun,  2 Oct 2022 20:43:02 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: bug#58196: 27.0.50; ediprolog 2.2: Please upload the new
 version to ELPA
In-Reply-To: <jwv8rlydk1j.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sun, 02 Oct 2022 17:08:12 -0400")
Message-ID: <jwvy1txg2lu.fsf-monnier+emacs@HIDDEN>
References: <m2leq0vlvl.fsf@HIDDEN>
 <jwvfsg7k32g.fsf-monnier+emacs@HIDDEN> <871qrrv5p3.fsf@HIDDEN>
 <jwvfsg7iehu.fsf-monnier+emacs@HIDDEN> <87tu4mdmzq.fsf@HIDDEN>
 <jwvv8p2dm87.fsf-monnier+emacs@HIDDEN> <8735c66kk0.fsf@HIDDEN>
 <jwv8rlydk1j.fsf-monnier+emacs@HIDDEN>
Date: Sun, 02 Oct 2022 20:43:00 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.134 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>     cd .../where/you/keep/your/clone/of/ediprolog/
>     git fetch --single-branch scratch/ediprolog git://git.sv.gnu.org/emacs/elpa.git
>     git merge FETCH_HEAD

Sorry, that should have been:

    cd .../where/you/keep/your/clone/of/ediprolog/
    git fetch git://git.sv.gnu.org/emacs/elpa.git scratch/ediprolog 
    git merge FETCH_HEAD

I mixed up the syntaxes for `git fetch` and `git clone`.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 2 Oct 2022 21:08:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 17:08:23 2022
Received: from localhost ([127.0.0.1]:48204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1of6CF-0006FW-4t
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 17:08:23 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:12320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1of6CC-0006FJ-Uh
 for 58196 <at> debbugs.gnu.org; Sun, 02 Oct 2022 17:08:21 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 337FA100138;
 Sun,  2 Oct 2022 17:08:15 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 3B0051000D5;
 Sun,  2 Oct 2022 17:08:13 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1664744893;
 bh=uDeQLpRUIUI+YvGzQvzRa5dEf0Lz3ELcciUy4rOV6Pw=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=V1nt9NQfGNbIrw9dlnjZ7wDc2bSYcaaIm7tUZJH1OIf6OnuzTXwYL9v41gBGlvtiK
 kRqmgcyEz47ji6hjPH958r23MgOXYy/UV5Q7pDNPeoImgaTEnwNVyHr/KoZTv/kwnu
 vYO7+ItAx1TJeXfaGxdMkLVtVbr9mEYZwXosQi2ioJWZgyVIKLDlWBve76/N35r6lH
 uXVlVYW4lklY5ick36HpTIss+3uoZsWrYVesPZs8JCN9hEU2/9aC1XaX+I8ZT7+bb2
 80IA4xHwiIi/Q1hlgaykcM3JDBcFHg58Ox08BX0kUiJodPh3GTpBZpXjQzV3jWO8Hi
 AQa3XHCwnAKGw==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 0ED6412054C;
 Sun,  2 Oct 2022 17:08:13 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: bug#58196: 27.0.50; ediprolog 2.2: Please upload the new
 version to ELPA
In-Reply-To: <8735c66kk0.fsf@HIDDEN> (Markus Triska's message of "Sun,
 02 Oct 2022 22:24:15 +0200")
Message-ID: <jwv8rlydk1j.fsf-monnier+emacs@HIDDEN>
References: <m2leq0vlvl.fsf@HIDDEN>
 <jwvfsg7k32g.fsf-monnier+emacs@HIDDEN> <871qrrv5p3.fsf@HIDDEN>
 <jwvfsg7iehu.fsf-monnier+emacs@HIDDEN> <87tu4mdmzq.fsf@HIDDEN>
 <jwvv8p2dm87.fsf-monnier+emacs@HIDDEN> <8735c66kk0.fsf@HIDDEN>
Date: Sun, 02 Oct 2022 17:08:12 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.062 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Markus Triska [2022-10-02 22:24:15] wrote:
> Stefan Monnier <monnier@HIDDEN> writes:
>> No, that's not what I'm after.  I want `git merge` to work.  So I need
>> you to merge that specific commit into your upstream repository so that
>> elpa.git can then follow your repository.  The important part is all in
>> the *meta*data, not in the file's contents.
>
> Due to other commitments, I unfortunately cannot help further with these
> issues which seem very complex to me (I do not even know what you mean
> with the *meta*data).

The metadata is the info Git saves about the history of the package.
It uses it for example to know how to do an update when you fetch updates.

> If what I provided unexpectedly no longer suffices
> to upload the latest release to ELPA (in all previous releases,
> announcing the newest version sufficed), could you please remove
> ediprolog from ELPA? It seems best not to provide an outdated version.

If you need help with Git I can do that.

I just did the merge I suggested and the result is in the
`scratch/ediprolog` branch in `elpa.git`.

So all you need to do is to merge that code into your repository, is
the following:

    cd .../where/you/keep/your/clone/of/ediprolog/
    git fetch --single-branch scratch/ediprolog git://git.sv.gnu.org/emacs/elpa.git
    git merge FETCH_HEAD

and then `git push` the result to your repository.

I appended below my signature the changes that this `merge` will apply
to your code (beside the changes to the metadata).  The `.gitignore`
file is not indispensable but is very handy for other people using your
Git repository (or its mirror in elpa.git), but the other two changes
are indispensable because GNU ELPA needs the `Version:` header to know
what is the version of your package (and when a new version is
released), and it checks the copyright headers which state that the
files are covered by copyright assignments.


        Stefan


diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000000..7aa352d86f
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,3 @@
+/ediprolog-pkg.el
+/ediprolog-autoloads.el
+*.elc
diff --git a/ediprolog.el b/ediprolog.el
index 035c7b7443..033aacd208 100644
--- a/ediprolog.el
+++ b/ediprolog.el
@@ -1,9 +1,10 @@
 ;;; ediprolog.el --- Emacs Does Interactive Prolog
 
-;; Copyright (C) 2006-2022  Markus Triska
+;; Copyright (C) 2006-2022  Free Software Foundation, Inc.
 
 ;; Author: Markus Triska <triska@HIDDEN>
 ;; Keywords: languages, processes
+;; Version: 2.2
 ;; Homepage: https://www.metalevel.at/ediprolog/
 
 ;; This file is free software; you can redistribute it and/or modify





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 2 Oct 2022 20:24:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 16:24:19 2022
Received: from localhost ([127.0.0.1]:48148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1of5Vb-000568-Aw
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 16:24:19 -0400
Received: from [78.47.144.35] (port=54586 helo=metalevel.at)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1of5VY-00055x-MN
 for 58196 <at> debbugs.gnu.org; Sun, 02 Oct 2022 16:24:17 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id 91D949C75F; Sun,  2 Oct 2022 22:24:15 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#58196: 27.0.50;
 ediprolog 2.2: Please upload the new version to ELPA
References: <m2leq0vlvl.fsf@HIDDEN>
 <jwvfsg7k32g.fsf-monnier+emacs@HIDDEN> <871qrrv5p3.fsf@HIDDEN>
 <jwvfsg7iehu.fsf-monnier+emacs@HIDDEN> <87tu4mdmzq.fsf@HIDDEN>
 <jwvv8p2dm87.fsf-monnier+emacs@HIDDEN>
Date: Sun, 02 Oct 2022 22:24:15 +0200
In-Reply-To: <jwvv8p2dm87.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sun, 02 Oct 2022 16:07:10 -0400")
Message-ID: <8735c66kk0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: > No,
 that's
 not what I'm after. I want `git merge` to work. So I need > you to merge
 that specific commit into your upstream repository so that > elpa.git can
 then follow your repository. The importa [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Stefan Monnier <monnier@HIDDEN> writes:

> No, that's not what I'm after.  I want `git merge` to work.  So I need
> you to merge that specific commit into your upstream repository so that
> elpa.git can then follow your repository.  The important part is all in
> the *meta*data, not in the file's contents.

Due to other commitments, I unfortunately cannot help further with these
issues which seem very complex to me (I do not even know what you mean
with the *meta*data). If what I provided unexpectedly no longer suffices
to upload the latest release to ELPA (in all previous releases,
announcing the newest version sufficed), could you please remove
ediprolog from ELPA? It seems best not to provide an outdated version.

Thank you and all the best,
Markus




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 2 Oct 2022 20:07:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 16:07:25 2022
Received: from localhost ([127.0.0.1]:48128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1of5FF-0004fp-9N
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 16:07:25 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:58021)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1of5F8-0004fU-CP
 for 58196 <at> debbugs.gnu.org; Sun, 02 Oct 2022 16:07:23 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id A9978442859;
 Sun,  2 Oct 2022 16:07:12 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 3A077442857;
 Sun,  2 Oct 2022 16:07:11 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1664741231;
 bh=ViWT+UVeJM8KCgrzHuqnPULgBDAXjHYzFfisL9+bAOw=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=oCd0gMxKmta0k6Unpof39zh1fAuce2+hE78jOaAyndg84Lp1Un0VCCBAD71uKrJM9
 NqbObgcqeTPeg5S6uJ4dHoQ5nCN+NFs4kwtbkpBiMCFXG9bJYiEJhTpzbllvM/VEvP
 5TA7gXaZfbb4LdmoDF30bIrmQ5J39ksqQZ5oBhKD6BEp0JMVJMNjgEgpHUSltRlKgW
 YwwAp3jsQj8BZFrrDCSinMTJPpmEhwIloaBvn1axwLCHBn3EMHKBwDw2cs92zPcmkZ
 vWr8sZQiRpvVW2/BKGund7OBfegIbmBEv6wT82A5fSipsgljIrQsu9l3eniP12tQzm
 cI6u7BFSAUQeg==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 0D357120A4F;
 Sun,  2 Oct 2022 16:07:11 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: bug#58196: 27.0.50; ediprolog 2.2: Please upload the new
 version to ELPA
In-Reply-To: <87tu4mdmzq.fsf@HIDDEN> (Markus Triska's message of "Sun,
 02 Oct 2022 21:49:45 +0200")
Message-ID: <jwvv8p2dm87.fsf-monnier+emacs@HIDDEN>
References: <m2leq0vlvl.fsf@HIDDEN>
 <jwvfsg7k32g.fsf-monnier+emacs@HIDDEN> <871qrrv5p3.fsf@HIDDEN>
 <jwvfsg7iehu.fsf-monnier+emacs@HIDDEN> <87tu4mdmzq.fsf@HIDDEN>
Date: Sun, 02 Oct 2022 16:07:10 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.028 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Markus Triska [2022-10-02 21:49:45] wrote:
> Stefan Monnier <monnier@HIDDEN> writes:
>> Could you merge that history with that of elpa.git?
>
> OK, I have uploaded the changes as a series of patches at:
>
>     https://www.metalevel.at/ediprolog/ediprolog_2_2.patch
>
> For completeness, I also attach the content at the end of this mail, and
> I hope this suffices to update the package?

No, that's not what I'm after.  I want `git merge` to work.  So I need
you to merge that specific commit into your upstream repository so that
elpa.git can then follow your repository.  The important part is all in
the *meta*data, not in the file's contents.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 2 Oct 2022 19:49:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 15:49:49 2022
Received: from localhost ([127.0.0.1]:48117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1of4yC-0004EZ-Tf
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 15:49:49 -0400
Received: from [78.47.144.35] (port=54160 helo=metalevel.at)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1of4yA-0004EQ-Ha
 for 58196 <at> debbugs.gnu.org; Sun, 02 Oct 2022 15:49:47 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id 578179C75E; Sun,  2 Oct 2022 21:49:45 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#58196: 27.0.50;
 ediprolog 2.2: Please upload the new version to ELPA
References: <m2leq0vlvl.fsf@HIDDEN>
 <jwvfsg7k32g.fsf-monnier+emacs@HIDDEN> <871qrrv5p3.fsf@HIDDEN>
 <jwvfsg7iehu.fsf-monnier+emacs@HIDDEN>
Date: Sun, 02 Oct 2022 21:49:45 +0200
In-Reply-To: <jwvfsg7iehu.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sat, 01 Oct 2022 14:37:13 -0400")
Message-ID: <87tu4mdmzq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: > Could
 you merge that history with that of elpa.git? OK, I have uploaded the changes
 as a series of patches at: 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Stefan Monnier <monnier@HIDDEN> writes:

> Could you merge that history with that of elpa.git?

OK, I have uploaded the changes as a series of patches at:

    https://www.metalevel.at/ediprolog/ediprolog_2_2.patch

For completeness, I also attach the content at the end of this mail, and
I hope this suffices to update the package?

Thank you and all the best,
Markus

From 843ff2613207fdc557a5511d58664bb3859a7efa Mon Sep 17 00:00:00 2001
From: Markus Triska <triska@HIDDEN>
Date: Sun, 2 Oct 2022 21:43:08 +0200
Subject: [PATCH 1/4] improve compatibility with older Emacs versions

---
 ediprolog.el | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/ediprolog.el b/ediprolog.el
index d88d30e80c..7898660d78 100644
--- a/ediprolog.el
+++ b/ediprolog.el
@@ -1,6 +1,6 @@
 ;;; ediprolog.el --- Emacs Does Interactive Prolog
 
-;; Copyright (C) 2006-2009, 2012-2013, 2016-2017, 2020  Free Software Foundation, Inc.
+;; Copyright (C) 2006-2009, 2012-2013, 2016-2017, 2021  Free Software Foundation, Inc.
 
 ;; Author: Markus Triska <triska@HIDDEN>
 ;; Keywords: languages, processes
@@ -39,7 +39,7 @@
 ;;
 ;; The two most important configuration options are:
 ;;
-;;    - `ediprolog-system', either 'scryer or 'swi
+;;    - `ediprolog-system', either 'scryer (default) or 'swi
 ;;    - `ediprolog-program', the path of the Prolog executable.
 
 ;; Usage
@@ -491,7 +491,11 @@ operates on the region."
             (and buffer-file-name
                  (not (equal (file-remote-p ediprolog-temp-file)
                              (file-remote-p buffer-file-name)))))
-    (setq ediprolog-temp-file (make-nearby-temp-file "ediprolog")))
+    (setq ediprolog-temp-file
+          (funcall (if (fboundp 'make-nearby-temp-file)
+                       'make-nearby-temp-file
+                     'make-temp-file)
+                   "ediprolog")))
   (let ((start (if (and transient-mark-mode mark-active)
                    (region-beginning) (point-min)))
         (end (if (and transient-mark-mode mark-active)
-- 
2.17.2 (Apple Git-113)


From d02540902f2a71e6f1888f9db6845d6adb3c1ae1 Mon Sep 17 00:00:00 2001
From: Markus Triska <triska@HIDDEN>
Date: Sun, 2 Oct 2022 21:45:04 +0200
Subject: [PATCH 2/4] handle answers of recent Scryer Prolog versions

---
 ediprolog.el | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/ediprolog.el b/ediprolog.el
index 7898660d78..a74e5f13a7 100644
--- a/ediprolog.el
+++ b/ediprolog.el
@@ -273,9 +273,9 @@ set_prolog_flag(toplevel_prompt, '%s').\n" (ediprolog-prompt)))))
   ;; success (i.e., consulted without errors), or still an incomplete
   ;; line that starts with a comment character
   (unless (or (string-match "^[\t ]*\\(?:%.*\\)?\\'" str)
-              (let ((success "true."))
-                (and (<= (length str) (length success))
-                     (string= str (substring success 0 (length str))))))
+              (string-prefix-p str "true.")
+              ;; newer versions of Scryer Prolog prepend 3 spaces to "true."
+              (string-prefix-p str "   true."))
     (setq ediprolog-consult-window (display-buffer ediprolog-consult-buffer))
     (set-window-dedicated-p ediprolog-consult-window t)
     (fit-window-to-buffer ediprolog-consult-window (/ (frame-height) 2))))
-- 
2.17.2 (Apple Git-113)


From 6e137449e2b1b711dfba9d04526472a5cd8f9447 Mon Sep 17 00:00:00 2001
From: Markus Triska <triska@HIDDEN>
Date: Sun, 2 Oct 2022 21:46:56 +0200
Subject: [PATCH 3/4] faithful processing of multiline queries when using
 Scryer Prolog

---
 ediprolog.el | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

diff --git a/ediprolog.el b/ediprolog.el
index a74e5f13a7..f44914b60b 100644
--- a/ediprolog.el
+++ b/ediprolog.el
@@ -1,6 +1,6 @@
 ;;; ediprolog.el --- Emacs Does Interactive Prolog
 
-;; Copyright (C) 2006-2009, 2012-2013, 2016-2017, 2021  Free Software Foundation, Inc.
+;; Copyright (C) 2006-2009, 2012-2013, 2016-2017, 2021-2022  Free Software Foundation, Inc.
 
 ;; Author: Markus Triska <triska@HIDDEN>
 ;; Keywords: languages, processes
@@ -53,11 +53,11 @@
 ;; Queries start with "?-" or ":-", possibly preceded by "%" and
 ;; whitespace. An example of a query is (without leading ";;"):
 ;;
-;;   %?- member(X, [a,b,c]).
+;;   %?- member(X, "abc").
 ;;
 ;; If you press F10 when point is on that query, you get:
 ;;
-;;   %?- member(X, [a,b,c]).
+;;   %?- member(X, "abc").
 ;;   %@    X = a
 ;;   %@ ;  X = b
 ;;   %@ ;  X = c
@@ -370,9 +370,19 @@ arguments, equivalent to `ediprolog-remove-interactions'."
       (end-of-line)
       (insert "\n" ediprolog-indent-prefix ediprolog-prefix)
       (ediprolog-interact
-       (format "%s\n" (mapconcat #'identity
+       (format "%s\n"
+               (if (eq ediprolog-system 'scryer)
+                   ;; Scryer Prolog emits no additional indicators
+                   ;; when a query spans multiple lines, so we send
+                   ;; the query verbatim.
+                   query
+                 ;; For other Prolog systems, we merge the query into
+                 ;; a single line. The drawback of this approach is
+                 ;; that single-line comments at the end of a line are
+                 ;; not handled correctly.
+                 (mapconcat #'identity
                                  ;; `%' can precede each query line
-                                 (split-string query "\n[ \t%]*") " ")))
+                                 (split-string query "\n[ \t%]*") " "))))
       (when handle
         (undo-amalgamate-change-group (cdr handle))))
     t))
-- 
2.17.2 (Apple Git-113)


From 22fa75d0f73791a3765e3eebbb552a852091b925 Mon Sep 17 00:00:00 2001
From: Markus Triska <triska@HIDDEN>
Date: Sun, 2 Oct 2022 21:48:03 +0200
Subject: [PATCH 4/4] ediprolog version 2.2

New in this version:

    * handle answers of recent Scryer Prolog versions
    * faithful processing of multiline queries when using Scryer Prolog
    * improved compatibility with older Emacs versions
---
 ediprolog.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/ediprolog.el b/ediprolog.el
index f44914b60b..8d36607805 100644
--- a/ediprolog.el
+++ b/ediprolog.el
@@ -93,7 +93,7 @@
 
 ;;; Code:
 
-(defconst ediprolog-version "2.1")
+(defconst ediprolog-version "2.2")
 
 (defgroup ediprolog nil
   "Transparent interaction with Prolog."
-- 
2.17.2 (Apple Git-113)







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 1 Oct 2022 18:37:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 01 14:37:24 2022
Received: from localhost ([127.0.0.1]:45703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oehMZ-000756-PZ
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2022 14:37:24 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:28680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oehMX-00074r-Si
 for 58196 <at> debbugs.gnu.org; Sat, 01 Oct 2022 14:37:22 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 0F387804FC;
 Sat,  1 Oct 2022 14:37:16 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 64EE080233;
 Sat,  1 Oct 2022 14:37:14 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1664649434;
 bh=g65gRkJMraPM1hPSHhG+ODuGgtQ3LTc4RPRO/SXTFpU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=pYXvNZ98+zupE8mvBLWUvhquvrBqs4GY3GYSnFRJ/8JlYpWTVx0wpVTI3KuTseWIC
 XqsZiGgt779ydu9zdYARxij2xC0yvXKgZA/g1rarSJ2ln/km+quoNgC5eLdRKHbO6X
 kHrnJgpYNxGaZbyEjWng4pYY0R3tG3T7VLjk/nL+TWdE0jqUSfdp+25PvF9oYo3iUU
 tfLd7k0Ji7RvcKXGLYC92JzRAJgus5LkUy1huI/slKSu5RS8N6V+Ikp7YC9Uvl6Ykc
 Wry0vLOovRNgJ1yk/iQ4erjz/lyWM6qu0Pqzx9HsBtxifCwFA6dHXbWRAQpEbkhGak
 A5t7YhHTU9o1g==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 0F4F6120B80;
 Sat,  1 Oct 2022 14:37:14 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: bug#58196: 27.0.50; ediprolog 2.2: Please upload the new
 version to ELPA
In-Reply-To: <871qrrv5p3.fsf@HIDDEN> (Markus Triska's message of "Sat,
 01 Oct 2022 19:01:28 +0200")
Message-ID: <jwvfsg7iehu.fsf-monnier+emacs@HIDDEN>
References: <m2leq0vlvl.fsf@HIDDEN>
 <jwvfsg7k32g.fsf-monnier+emacs@HIDDEN> <871qrrv5p3.fsf@HIDDEN>
Date: Sat, 01 Oct 2022 14:37:13 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.113 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Yes, I have made a public repository available at:
>
>     https://github.com/triska/ediprolog/

Could you merge that history with that of elpa.git?
I.e. start with

    git remote add -p externals/ediprolog elpa \
               git://git.sv.gnu.org/emacs/elpa.git

and then try something like

    git merge elpa/externals/ediprolog

It might be rather messy done this way.  You may need to start by
merging the elpa history with the closest matching version in your
history (maybe commit 751119cfee9efb52e89d0387d795f3b0c181299d?):

    git reset --hard 751119cfee9efb52e89d0387d795f3b0c181299d
    git merge elpa/externals/ediprolog
    [ resolve any conflicts, and make any other changes you like ]
    git merge

elpa.git won't be able to follow your repository until that repository's
HEAD is a "fast forward" so this "merging" is necessary.  You can make
it "trivial" by throwing away any and all changes that actually come
from `elpa/externals/ediprolog`: only the metadata needs to say that
the commits of `elpa/externals/ediprolog` have all been merged.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 1 Oct 2022 17:01:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 01 13:01:32 2022
Received: from localhost ([127.0.0.1]:45660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oefro-0004oR-J2
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2022 13:01:32 -0400
Received: from [78.47.144.35] (port=40990 helo=metalevel.at)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1oefrm-0004oJ-Ce
 for 58196 <at> debbugs.gnu.org; Sat, 01 Oct 2022 13:01:31 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id BEDE99C756; Sat,  1 Oct 2022 19:01:28 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#58196: 27.0.50;
 ediprolog 2.2: Please upload the new version to ELPA
References: <m2leq0vlvl.fsf@HIDDEN>
 <jwvfsg7k32g.fsf-monnier+emacs@HIDDEN>
Date: Sat, 01 Oct 2022 19:01:28 +0200
In-Reply-To: <jwvfsg7k32g.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sat, 01 Oct 2022 10:57:26 -0400")
Message-ID: <871qrrv5p3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: > Could
 you make that available on a public Git repository somewhere > (eg.
 `repo.or.cz`, 
 `codeberg.org`, ...)? Yes, I have made a public repository available at: 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Stefan Monnier <monnier@HIDDEN> writes:

> Could you make that available on a public Git repository somewhere
> (eg. `repo.or.cz`, `codeberg.org`, ...)?

Yes, I have made a public repository available at:

    https://github.com/triska/ediprolog/

The history of ediprolog.el is available from:

    https://github.com/triska/ediprolog/commits/master/ediprolog.el

The changes relative to 2.1 are:

    https://github.com/triska/ediprolog/commit/5fd08fe19a71876da4cfc21b81fbc04af9890cba
    https://github.com/triska/ediprolog/commit/85fae67aeaede36ba61b0c551aa18617d3b9f797
    https://github.com/triska/ediprolog/commit/ebd79c0abdc05a752c947e333551d808e3933046
    https://github.com/triska/ediprolog/commit/dc0e51ba579f2eb26ae0cdc733104e8861f04c10

The release of 2.1 was:

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=41765

Please let me know if anything else is needed.

Thank you and all the best,
Markus




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 1 Oct 2022 14:57:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 01 10:57:37 2022
Received: from localhost ([127.0.0.1]:45538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oedvs-0001ew-R4
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2022 10:57:37 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:21966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oedvq-0001eg-Fx
 for 58196 <at> debbugs.gnu.org; Sat, 01 Oct 2022 10:57:35 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 0EB17100121;
 Sat,  1 Oct 2022 10:57:29 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 855531000DF;
 Sat,  1 Oct 2022 10:57:27 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1664636247;
 bh=lddLdHtfjJyin0PeiW3kDuUIaSV5Suog3FLgdXsVQFA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=kb5e9HEOEvM5vkMwHvP6dL+7WmfQGSbcURzTGGby64FIm2ldnb8joD2/AcPkrlP8S
 AFsImjCABUEVs5XBxD/5/k/swRASqnkjV7TCVZwxzceGgbFeuzuJ8deU+3VlKvroE4
 EcbzizgM1Plfjruncl/R2GSOgNZI8QOKXoC89d4AA4T9vBVGGmK1CRisbMnVGSdEKb
 jcptBrz+ZZlidsEjWgZAFJGInhPhtlu6U+Gp/warVh2lN3dUQicnz5YLOxs8pnuxu+
 xl2QpRrIuwHAE8Ibw0SrO72B7WrCRZ2kVToypXr9dutvmvJud/A2OPUWc8bYBuhQZu
 gVHXyNAMIrLJA==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 433C8120470;
 Sat,  1 Oct 2022 10:57:27 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: bug#58196: 27.0.50; ediprolog 2.2: Please upload the new
 version to ELPA
In-Reply-To: <m2leq0vlvl.fsf@HIDDEN> (Markus Triska's message of "Fri,
 30 Sep 2022 18:59:42 +0200")
Message-ID: <jwvfsg7k32g.fsf-monnier+emacs@HIDDEN>
References: <m2leq0vlvl.fsf@HIDDEN>
Date: Sat, 01 Oct 2022 10:57:26 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.045 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> ediprolog 2.2 is now available from:
>
>     https://www.metalevel.at/ediprolog/ediprolog.el
[...]
> Could you please upload the new release to ELPA?

Could you make that available on a public Git repository somewhere
(eg. `repo.or.cz`, `codeberg.org`, ...)?


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at 58196 <at> debbugs.gnu.org:


Received: (at 58196) by debbugs.gnu.org; 1 Oct 2022 12:56:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 01 08:56:14 2022
Received: from localhost ([127.0.0.1]:43917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oec2P-0006Cv-VG
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2022 08:56:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oec2N-0006Cf-TA
 for 58196 <at> debbugs.gnu.org; Sat, 01 Oct 2022 08:56:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8bdb31JdEBpu1Tdls8cUxKa+RykQodc9x/93KpONHVA=; b=XqD8vCUf+tPdGyrk9g1SSjXwy1
 RkxR9B94yM+eSe61MLklFZ6PzHs37e8gt37bN9jlb6yaBTMfLiB9G4ytm0o3ZHmfbZCBX4olk+dr0
 o1GJBZS4nwehPmXmvW8WCf11qqf0dpcGRmVnpm7ZBLXJF7AifNpjgOxZUfBibMJAUPSc=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oec2D-0004FM-RD; Sat, 01 Oct 2022 14:56:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: bug#58196: 27.0.50; ediprolog 2.2: Please upload the new
 version to ELPA
In-Reply-To: <m2leq0vlvl.fsf@HIDDEN> (Markus Triska's message of "Fri,
 30 Sep 2022 18:59:42 +0200")
References: <m2leq0vlvl.fsf@HIDDEN>
X-Now-Playing: Django Django's _Django Django Meets The Professor_: "Hail Bop"
Date: Sat, 01 Oct 2022 14:56:01 +0200
Message-ID: <8735c7hfdq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Markus Triska <triska@HIDDEN> writes: > ediprolog 2.2
 is now available from: > > https://www.metalevel.at/ediprolog/ediprolog.el
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58196
Cc: Stefan Monnier <monnier@HIDDEN>, 58196 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Markus Triska <triska@HIDDEN> writes:

> ediprolog 2.2 is now available from:
>
>     https://www.metalevel.at/ediprolog/ediprolog.el

[...]

> Could you please upload the new release to ELPA?

We normally prefer to get the full VC history of package in ELPA instead
of doing updates like this, but I guess doing it this way would be fine,
too.

I've added Stefan to the CCs; perhaps he has some comments.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Sep 2022 16:56:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 12:56:17 2022
Received: from localhost ([127.0.0.1]:42814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeJJ7-0004nZ-F9
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 12:56:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:40628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1oeJJ3-0004nP-9Y
 for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 12:56:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44214)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <triska@HIDDEN>)
 id 1oeJJ1-0002i4-Eq
 for bug-gnu-emacs@HIDDEN; Fri, 30 Sep 2022 12:56:09 -0400
Received: from [78.47.144.35] (port=36262 helo=metalevel.at)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <triska@HIDDEN>) id 1oeJIy-0007Ow-9T
 for bug-gnu-emacs@HIDDEN; Fri, 30 Sep 2022 12:56:07 -0400
Received: from mts-Mac-mini.localdomain (localhost [127.0.0.1])
 by metalevel.at (Postfix) with ESMTP id ADFF59C755
 for <bug-gnu-emacs@HIDDEN>; Fri, 30 Sep 2022 18:50:01 +0200 (CEST)
Received: by mts-Mac-mini.localdomain (Postfix, from userid 501)
 id 521682101FA7; Fri, 30 Sep 2022 18:59:42 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; ediprolog 2.2: Please upload the new version to ELPA
Date: Fri, 30 Sep 2022 18:59:42 +0200
Message-ID: <m2leq0vlvl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Host-Lookup-Failed: Reverse DNS lookup failed for 78.47.144.35 (failed)
Received-SPF: none client-ip=78.47.144.35; envelope-from=triska@HIDDEN;
 helo=metalevel.at
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

ediprolog 2.2 is now available from:

    https://www.metalevel.at/ediprolog/ediprolog.el

New in this version:

    * handle answers of recent Scryer Prolog versions
    * faithful processing of multiline queries when using Scryer Prolog
    * improved compatibility with older Emacs versions

Project page:

    https://www.metalevel.at/ediprolog/

Video demonstration:

    https://www.metalevel.at/prolog/videos/ediprolog

For completeness, I also include a copy of the source code below.

Could you please upload the new release to ELPA?

Thank you a lot!
Markus

;;; ediprolog.el --- Emacs Does Interactive Prolog

;; Copyright (C) 2006-2022  Markus Triska

;; Author: Markus Triska <triska@HIDDEN>
;; Keywords: languages, processes
;; Homepage: https://www.metalevel.at/ediprolog/

;; This file is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 3, or (at your option)
;; any later version.

;; This file is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.

;;; Commentary:

;; These definitions let you interact with Prolog in all buffers.
;; You can consult Prolog programs and evaluate embedded queries.

;; Installation
;; ============
;;
;; Copy ediprolog.el to your load-path and add to your .emacs:
;;
;;     (require 'ediprolog)
;;     (global-set-key [f10] 'ediprolog-dwim)
;;
;; Restart Emacs and customize ediprolog with
;;
;;     M-x customize-group RET ediprolog RET
;;
;; The two most important configuration options are:
;;
;;    - `ediprolog-system', either 'scryer (default) or 'swi
;;    - `ediprolog-program', the path of the Prolog executable.

;; Usage
;; =====
;;
;; The central function is `ediprolog-dwim' (Do What I Mean), which is
;; bound to F10 by the snippet above. Depending on the content at
;; point, `ediprolog-dwim' does the "appropriate" thing: If point is
;; on a query, F10 sends the query to a Prolog process, and you
;; interact with the process in the current buffer as on a terminal.
;; Queries start with "?-" or ":-", possibly preceded by "%" and
;; whitespace. An example of a query is (without leading ";;"):
;;
;;   %?- member(X, "abc").
;;
;; If you press F10 when point is on that query, you get:
;;
;;   %?- member(X, "abc").
;;   %@    X = a
;;   %@ ;  X = b
;;   %@ ;  X = c
;;   %@ ;  false.
;;
;; When waiting for output of the Prolog process, you can press C-g to
;; unblock Emacs and continue with other work. To resume interaction
;; with the Prolog process, use M-x ediprolog-toplevel RET.

;; If you press F10 when point is *not* on a query, the buffer content
;; is consulted in the Prolog process, and point is moved to the first
;; error (if any). In transient mark mode, if the region is active,
;; only the text in the region is consulted.

;; For convenience, the most recent interactions with the Prolog
;; process are logged in the buffer "*ediprolog-history*".

;; Use M-x ediprolog-localize RET to make any Prolog process started
;; in the current buffer buffer-local. This way, you can run distinct
;; processes simultaneously. Revert with M-x ediprolog-unlocalize RET.

;; `ediprolog-dwim' with prefix arguments has special meanings:
;;
;;   C-0 F10       kill Prolog process
;;   C-1 F10       always consult buffer (even when point is on a query)
;;   C-2 F10       always consult buffer, using a new process
;;   C-7 F10       equivalent to `ediprolog-toplevel'
;;   C-u F10       first consult buffer, then evaluate query (if any)
;;   C-u C-u F10   like C-u F10, with a new process

;; Tested with Scryer Prolog 0.8.119 and SWI-Prolog 8.1.24,
;; using Emacs versions 26.1 and 27.0.50.

;;; Code:

(defconst ediprolog-version "2.2")

(defgroup ediprolog nil
  "Transparent interaction with Prolog."
  :group 'languages
  :group 'processes)


(defcustom ediprolog-system 'scryer
  "Prolog system that is used for interaction."
  :group 'ediprolog
  :type '(choice (const :tag "Scryer Prolog" :value scryer)
                 (const :tag "SWI Prolog" :value swi)))

(defcustom ediprolog-program
  (or
   (executable-find "scryer-prolog")
   (executable-find "swipl")
   "scryer-prolog")
  "Program name of the Prolog executable."
  :group 'ediprolog
  :type 'string)

(defcustom ediprolog-program-switches nil
  "List of switches passed to the Prolog process. Example:
'(\"-G128M\" \"-O\")"
  :group 'ediprolog
  :type '(repeat string))

(defcustom ediprolog-prefix "%@ "
  "String to prepend when inserting output from the Prolog
process into the buffer."
  :group 'ediprolog
  :type 'string)

(defcustom ediprolog-max-history 80000
  "Maximal size of history buffers storing recent interactions, or
nil to never truncate the history."
  :group 'ediprolog
  :type 'sexp)

(defvar ediprolog-process               nil "A Prolog process.")

(defvar ediprolog-temp-buffer           nil
  "Buffer that temporarily saves process output ")

(defvar ediprolog-seen-prompt           nil
  "Whether a prompt was (recently) emitted by the Prolog process.")

(defvar ediprolog-read-term             nil
  "Whether the Prolog process waits for the user to enter a term.")

(defvar ediprolog-indent-prefix         ""
  "Any whitespace occurring before the most recently executed query.")

(defvar ediprolog-temp-file             nil
  "File name of a temporary file used for consulting the buffer.")

(defvar ediprolog-consult-buffer "*ediprolog-consult*"
  "Buffer used to display consult output.")

(defvar ediprolog-consult-window        nil
  "Window used to show consult output.")

(defvar ediprolog-history-buffer        nil
  "Buffer that stores recent interactions.")

(defvar ediprolog-interrupted           nil
  "True iff waiting for the previous query was interrupted with C-g.")

(defun ediprolog-prompt ()
  "Prompt used in the Prolog session."
  (cond ((eq ediprolog-system 'swi) "?ediprolog- ")
         (t "?- ")))

(defmacro ediprolog-wait-for-prompt-after (&rest forms)
  "Evaluate FORMS and wait for prompt."
  `(progn
     (setq ediprolog-seen-prompt nil)
     (ediprolog-ensure-buffer "temp")
     (with-current-buffer ediprolog-temp-buffer
       (let (buffer-read-only)
         (erase-buffer)))
     ;; execute forms with default-directory etc. from invocation buffer
     ,@forms
     (while (not ediprolog-seen-prompt)
       ;; Wait for output/sentinel and update consult window, if any.
       ;; As `accept-process-output' does not run the sentinel in
       ;; Emacs <= 23.1, we use `sit-for' to do both. However,
       ;; `sit-for' returns immediately if keyboard input is
       ;; available, so we must discard input.
       (discard-input)
       (sit-for 0.1))))

(defmacro ediprolog-remember-interruption (form)
  "Set `ediprolog-interrupted' if evaluation of FORM was interrupted."
  `(condition-case nil
       ,form
     (quit (setq ediprolog-interrupted t))))

;; Only the sentinel can reliably detect if no more output follows -
;; even if process-status is 'exit, further output can still follow.
(defun ediprolog-sentinel (proc str)
  (when (buffer-live-p (process-buffer proc))
    (with-current-buffer (process-buffer proc)
      (let ((status (with-temp-buffer
                      (insert str)
                      (while (search-backward "\n" nil t)
                        (replace-match ""))
                      (buffer-string))))
        (ediprolog-log
         (format "%s: %s.\n"
                 (substring (current-time-string) 4 -5) status) "green" t))
      (when (string-match "^\\(?:finished\n\\|exited abnormally\\|killed\n\\)"
                          str)
        (setq ediprolog-seen-prompt t)))))

(defun ediprolog-ensure-buffer (name)
  (let ((str (format "*ediprolog-%s*" name))
        (var (intern (format "ediprolog-%s-buffer" name))))
    (unless (buffer-live-p (symbol-value var))
      (set var (generate-new-buffer str))
      (with-current-buffer (symbol-value var)
        (buffer-disable-undo)
        (setq buffer-read-only t)))))

(defun ediprolog-log (str &optional col nl)
  (ediprolog-ensure-buffer "history")
  (with-current-buffer ediprolog-history-buffer
    (let (buffer-read-only)
      (goto-char (point-max))
      (let ((s (format "%s%s" (if (and nl (not (bolp))) "\n" "") str)))
        (insert (if col (propertize s 'face `(:background ,col)) s)))
      (let ((size (- (point-max) (point-min))))
        (when (and ediprolog-max-history
                   (> size ediprolog-max-history))
          ;; delete older half of the (possibly narrowed) history
          (delete-region (point-min) (+ (point-min) (/ size 2))))))))

(defun ediprolog-run-prolog ()
  "Start a Prolog process."
  (let ((args (cons ediprolog-program ediprolog-program-switches)))
    (ediprolog-log (format "%s: starting: %S\n"
                           (substring (current-time-string) 4 -5) args)
                   "green" t)
    (condition-case nil
        (ediprolog-wait-for-prompt-after
         (setq ediprolog-process
               (apply #'start-file-process "ediprolog" (current-buffer) args))
         (set-process-sentinel ediprolog-process 'ediprolog-sentinel)
         (set-process-filter ediprolog-process
                             'ediprolog-wait-for-prompt-filter)
         (when (eq ediprolog-system 'swi)
           (ediprolog-send-string
            (format "set_prolog_flag(color_term, false), \
set_prolog_flag(toplevel_prompt, '%s').\n" (ediprolog-prompt)))))
      ((error quit)
       (ediprolog-log "No prompt found." "red" t)
       (error "No prompt from: %s" ediprolog-program)))))

(defun ediprolog-kill-prolog ()
  "Kill the Prolog process and run the process sentinel."
  (when (ediprolog-running)
    (delete-process ediprolog-process)))

(defun ediprolog-show-consult-output (str)
  (with-current-buffer (get-buffer-create ediprolog-consult-buffer)
    (setq buffer-read-only t)
    (let (buffer-read-only)
      (erase-buffer)
      (insert str)
      (goto-char (point-min))
      ;; remove normal consult status lines, which start with "%"
      (while (re-search-forward "^[\t ]*%.*\n" nil t)
        (delete-region (match-beginning 0) (match-end 0))))
    (setq str (buffer-string)))
  ;; show consult output in a separate window unless it is a prefix of
  ;; success (i.e., consulted without errors), or still an incomplete
  ;; line that starts with a comment character
  (unless (or (string-match "^[\t ]*\\(?:%.*\\)?\\'" str)
              (string-prefix-p str "true.")
              ;; newer versions of Scryer Prolog prepend 3 spaces to "true."
              (string-prefix-p str "   true."))
    (setq ediprolog-consult-window (display-buffer ediprolog-consult-buffer))
    (set-window-dedicated-p ediprolog-consult-window t)
    (fit-window-to-buffer ediprolog-consult-window (/ (frame-height) 2))))

(defun ediprolog-consult-filter (proc str)
  "Filter used when consulting a file, showing consult output."
  (with-current-buffer (ediprolog-temp-buffer proc)
    (goto-char (point-max))
    (let (buffer-read-only)
      (insert str))
    (with-current-buffer (process-buffer proc)
      (ediprolog-log str))
    (when (re-search-backward
           (format "^%s" (regexp-quote (ediprolog-prompt))) nil t)
      (with-current-buffer (process-buffer proc)
        (setq ediprolog-seen-prompt t)))
    (skip-chars-backward "\n")
    (ediprolog-show-consult-output (buffer-substring (point-min) (point)))))

(defun ediprolog-wait-for-prompt-filter (proc str)
  "Filter that only waits until prompt appears."
  (with-current-buffer (ediprolog-temp-buffer proc)
    (goto-char (point-max))
    (let (buffer-read-only)
      (insert str))
    (with-current-buffer (process-buffer proc)
      (ediprolog-log str))
    (when (re-search-backward
           (format "^%s" (regexp-quote (ediprolog-prompt))) nil t)
      (with-current-buffer (process-buffer proc)
        (setq ediprolog-seen-prompt t)))))


;;;###autoload
(defun ediprolog-dwim (&optional arg)
  "Load current buffer into Prolog or post query (Do What I Mean).
If invoked on a line starting with `:-' or `?-', possibly
preceded by `%' and whitespace, call `ediprolog-interact' with
the query as argument. Otherwise, call `ediprolog-consult'.

With prefix argument 0, kill the Prolog process. With prefix 1,
equivalent to `ediprolog-consult'. With prefix 2, equivalent to
`ediprolog-consult' with a new Prolog process. With prefix 7,
equivalent to `ediprolog-toplevel'. With just C-u, first call
`ediprolog-consult' and then, if point is on a query, call
`ediprolog-interact' with it as argument. Analogously, C-u C-u
for `ediprolog-consult' with a new process. With other prefix
arguments, equivalent to `ediprolog-remove-interactions'."
  (interactive "P")
  (cond ((eq arg 0)
         (unless (ediprolog-running)
           (error "No Prolog process running"))
         (ediprolog-kill-prolog)
         (message "Prolog process killed."))
        ((eq arg 1) (ediprolog-consult))
        ((eq arg 2) (ediprolog-consult t))
        ((eq arg 7)
         (unless (ediprolog-more-solutions)
           (error "No query in progress"))
         (ediprolog-toplevel))
        ((equal arg '(4)) (ediprolog-consult) (ediprolog-query))
        ((equal arg '(16)) (ediprolog-consult t) (ediprolog-query))
        ((null arg) (unless (ediprolog-query) (ediprolog-consult)))
        (t (ediprolog-remove-interactions))))

(defun ediprolog-process-ready ()
  "Error if the previous query is still in progress."
  (when (and ediprolog-interrupted
             (ediprolog-running)
             (ediprolog-more-solutions))
    (error "Previous query still in progress, see `ediprolog-toplevel'"))
  (setq ediprolog-interrupted nil))

(defun ediprolog-query ()
  "If point is on a query, send it to the process and start interaction."
  (ediprolog-process-ready)
  (when (and (not (and transient-mark-mode mark-active))
             (save-excursion
               (beginning-of-line)
               (looking-at "\\([\t ]*\\)%*[\t ]*[:?]- *")))
    ;; whitespace preceding the query is the indentation level
    (setq ediprolog-indent-prefix (match-string 1))
    (let* ((from (goto-char (match-end 0)))
           (to (if (re-search-forward "\\.[\t ]*\\(?:%.*\\)?$" nil t)
                   ;; omit trailing whitespace
                   (+ (point) (skip-chars-backward "\t "))
                 (error "Missing `.' at the end of this query")))
           (query (buffer-substring-no-properties from to))
           (handle (and (fboundp 'prepare-change-group)
                        (fboundp 'undo-amalgamate-change-group)
                        (cons t (prepare-change-group)))))
      (end-of-line)
      (insert "\n" ediprolog-indent-prefix ediprolog-prefix)
      (ediprolog-interact
       (format "%s\n"
               (if (eq ediprolog-system 'scryer)
                   ;; Scryer Prolog emits no additional indicators
                   ;; when a query spans multiple lines, so we send
                   ;; the query verbatim.
                   query
                 ;; For other Prolog systems, we merge the query into
                 ;; a single line. The drawback of this approach is
                 ;; that single-line comments at the end of a line are
                 ;; not handled correctly.
                 (mapconcat #'identity
                                 ;; `%' can precede each query line
                                 (split-string query "\n[ \t%]*") " "))))
      (when handle
        (undo-amalgamate-change-group (cdr handle))))
    t))

;;;###autoload
(defun ediprolog-interact (query)
  "Send QUERY to Prolog process and interact as on a terminal.

You can use \\[keyboard-quit] to unblock Emacs in the case of
longer-running queries. When the query completes and the toplevel
asks for input, use \\[ediprolog-toplevel] to resume interaction
with the Prolog process."
  (unless (ediprolog-running)
    (ediprolog-run-prolog))
  (set-marker (process-mark ediprolog-process) (point))
  (set-process-buffer ediprolog-process (current-buffer))
  (set-process-filter ediprolog-process 'ediprolog-interact-filter)
  (ediprolog-ensure-buffer "temp")
  (with-current-buffer ediprolog-temp-buffer
    (let (buffer-read-only)
      (erase-buffer)))
  (setq ediprolog-seen-prompt nil
        ediprolog-read-term nil)
  (ediprolog-send-string query)
  (ediprolog-toplevel))

(defun ediprolog-send-string (str)
  "Send string to Prolog process and log it."
  (ediprolog-log str "cyan")
  (process-send-string ediprolog-process str))

(defun ediprolog-toplevel ()
  "Start or resume Prolog toplevel interaction in the buffer.

You can use this function if you have previously quit (with
\\[keyboard-quit]) waiting for a longer-running query and now
want to resume interaction with the toplevel."
  (interactive)
  (when ediprolog-process
    (select-window (display-buffer (process-buffer ediprolog-process))))
  (ediprolog-remember-interruption
   (while (ediprolog-more-solutions)
     (let (str
           char)
       ;; poll for user input; meanwhile, process output can arrive
       (while (and (ediprolog-more-solutions) (null str))
         (goto-char (process-mark ediprolog-process))
         (if ediprolog-read-term
             (progn
               (setq str (concat (read-string "Input: ") "\n"))
               (ediprolog-insert-at-marker
                str ediprolog-indent-prefix ediprolog-prefix)
               (setq ediprolog-read-term nil))
           (condition-case nil
               (when (setq char (if (>= emacs-major-version 22)
                                    (read-char nil nil 0.1)
                                  (with-timeout (0.1 nil)
                                    (read-char))))
                 ;; char-to-string might still yield an error (C-0 etc.)
                 (setq str (char-to-string char)))
             (error
              (message "Non-character key")
              ;; non-character keys must not remain in the input
              ;; buffer, lest `read-char' return immediately
              (discard-input)))))
       (when (ediprolog-more-solutions)
         (if (eq char ?\C-c)            ; char can be nil too
             ;; sending C-c directly yields strange SWI buffering
             (interrupt-process ediprolog-process)
           (ediprolog-send-string str)))))))

;;;###autoload
(defun ediprolog-remove-interactions ()
  "Remove all lines starting with `ediprolog-prefix' from buffer.

In transient mark mode, if the region is active, the function
operates on the region."
  (interactive)
  (save-excursion
    (save-restriction
      (when (and transient-mark-mode mark-active)
        (narrow-to-region (region-beginning) (region-end)))
      (goto-char (point-min))
      (flush-lines (concat "^[\t ]*" (regexp-quote ediprolog-prefix)))))
  (message "Interactions removed."))


;;;###autoload
(defun ediprolog-consult (&optional new-process)
  "Buffer is loaded into a Prolog process. If NEW-PROCESS is
non-nil, start a new process. Otherwise use the existing process,
if any. In case of errors, point is moved to the position of the
first error, and the mark is left at the previous position.

In transient mark mode, if the region is active, the function
operates on the region."
  (interactive)
  (when (string= (buffer-name) ediprolog-consult-buffer)
    (error "Cannot consult the consult buffer"))
  (when (window-live-p ediprolog-consult-window)
    (condition-case nil
        ;; deleting the window can still raise an error, if the window
        ;; was the only window in the frame and the consult buffer was
        ;; killed (and it thus displays a different buffer now)
        (delete-window ediprolog-consult-window)
      (error nil)))
  (when (buffer-live-p ediprolog-consult-buffer)
    (bury-buffer ediprolog-consult-buffer))
  (when new-process
    (ediprolog-kill-prolog))
  (unless (ediprolog-running)
    (ediprolog-run-prolog))
  (ediprolog-process-ready)
  (set-process-buffer ediprolog-process (current-buffer))
  (when (or (null ediprolog-temp-file)
            (and buffer-file-name
                 (not (equal (file-remote-p ediprolog-temp-file)
                             (file-remote-p buffer-file-name)))))
    (setq ediprolog-temp-file
          (funcall (if (fboundp 'make-nearby-temp-file)
                       'make-nearby-temp-file
                     'make-temp-file)
                   "ediprolog")))
  (let ((start (if (and transient-mark-mode mark-active)
                   (region-beginning) (point-min)))
        (end (if (and transient-mark-mode mark-active)
                 (region-end) (point-max))))
    (write-region start end ediprolog-temp-file nil 'silent))
  (set-process-filter ediprolog-process 'ediprolog-consult-filter)
  (ediprolog-remember-interruption
   (ediprolog-wait-for-prompt-after
    (ediprolog-send-string (format "['%s'].\n"
                                   (if (fboundp 'file-local-name)
                                       (file-local-name ediprolog-temp-file)
                                     ediprolog-temp-file)))))
  (message "%s consulted." (if (and transient-mark-mode mark-active)
                               "Region" "Buffer"))
  ;; go to line of the first error, if any
  (let ((line (with-current-buffer ediprolog-temp-buffer
                (when (save-excursion
                        (goto-char (point-min))
                        (re-search-forward "^ERROR.*?:\\([0-9]+\\)" nil t))
                  (string-to-number (match-string 1))))))
    (when line
      (let ((p (point)))
        (goto-char (if (and transient-mark-mode mark-active)
                       (region-beginning)
                     (point-min)))
        ;; doing this first would affect (region-beginning)
        (push-mark p))
      (forward-line (1- line)))))

(defun ediprolog-running ()
  "True iff `ediprolog-process' is a running process."
  (and (processp ediprolog-process)
       (eq (process-status ediprolog-process) 'run)))

(defun ediprolog-more-solutions ()
  "True iff there could be more solutions from the process."
  (not ediprolog-seen-prompt))

(defun ediprolog-interact-filter (proc string)
  "Insert output from the process and update the state."
  (when (and (buffer-live-p (ediprolog-temp-buffer proc))
             (buffer-live-p (process-buffer proc)))
    (let (str)
      (with-current-buffer (ediprolog-temp-buffer proc)
        (goto-char (point-max))
        (let (buffer-read-only)
          (insert string))
        (with-current-buffer (process-buffer proc)
          (ediprolog-log string))
        ;; read a term from the user?
        (when (re-search-backward "^|: $" nil t)
          (with-current-buffer (process-buffer proc)
            (setq ediprolog-read-term t))
          (setq str (buffer-string))
          (let (buffer-read-only)
            (erase-buffer)))
        ;; check for prompt
        (goto-char (point-max))
        (when (re-search-backward
               (format "^%s" (regexp-quote (ediprolog-prompt))) nil t)
          (with-current-buffer (process-buffer proc)
            (setq ediprolog-seen-prompt t))
          ;; ignore further output due to accidental user input (C-j,
          ;; C-m, etc.) while the query was running
          (set-process-filter proc 'ediprolog-ignore-filter)
          (skip-chars-backward "\n")
          (setq str (buffer-substring (point-min) (point))))
        (unless str
          (goto-char (point-max))
          ;; delay final line if it can still be completed to prompt
          (let ((l (buffer-substring (line-beginning-position) (point))))
            (when (and (<= (length l) (length (ediprolog-prompt)))
                       (string= l (substring (ediprolog-prompt) 0 (length l))))
              (goto-char (line-beginning-position))))
          ;; delay emitting newlines until we are sure no prompt
          ;; follows; one or two newlines can precede a prompt
          (let ((d (abs (skip-chars-backward "\n"))))
            (when (> d 2)
              (forward-char (- d 2))))
          (setq str (buffer-substring (point-min) (point)))
          (let (buffer-read-only)
            (delete-region (point-min) (point))))
        (when str
          (with-temp-buffer
            ;; precede each line with ediprolog prefices
            (insert str)
            (goto-char (point-min))
            (while (search-forward "\n" nil t)
              (replace-match
               (format "\n%s%s"
                       (buffer-local-value 'ediprolog-indent-prefix
                                           (process-buffer proc))
                       (buffer-local-value 'ediprolog-prefix
                                           (process-buffer proc)))))
            (setq str (buffer-string)))
          (with-current-buffer (process-buffer proc)
            (let ((near (<= (abs (- (point) (process-mark proc))) 1)))
              (ediprolog-insert-at-marker str)
              (when near
                ;; catch up with output if point was reasonably close
                (goto-char (process-mark proc))))))))))


(defun ediprolog-insert-at-marker (&rest args)
  "Insert strings ARGS at marker and update the marker."
  (save-excursion
    (goto-char (process-mark ediprolog-process))
    (end-of-line)
    (apply #'insert args)
    (set-marker (process-mark ediprolog-process) (point))))

(defun ediprolog-ignore-filter (proc str)
  "Log and then ignore all process output."
  (with-current-buffer (process-buffer proc)
    (ediprolog-log str "gray")))

(defun ediprolog-temp-buffer (proc)
  (with-current-buffer (process-buffer proc)
    ;; temp buffer can be buffer local
    ediprolog-temp-buffer))

(defun ediprolog-map-variables (func)
  "Call FUNC with all ediprolog variables that can become buffer-local."
  (mapc func '(ediprolog-process
               ediprolog-system
               ediprolog-program
               ediprolog-program-switches
               ediprolog-temp-buffer
               ediprolog-history-buffer
               ediprolog-seen-prompt
               ediprolog-interrupted
               ediprolog-read-term
               ediprolog-indent-prefix
               ediprolog-prefix
               ediprolog-temp-file)))

;;;###autoload
(defun ediprolog-localize ()
  "After `ediprolog-localize', any Prolog process started from
this buffer becomes buffer-local."
  (interactive)
  (unless (local-variable-p 'ediprolog-process)
    (ediprolog-map-variables #'make-local-variable)
    (setq ediprolog-temp-file nil
          ediprolog-process nil
          ediprolog-history-buffer nil
          ediprolog-temp-buffer nil)))

(defun ediprolog-unlocalize ()
  "Revert the effect of `ediprolog-localize'."
  (interactive)
  (when (local-variable-p 'ediprolog-process)
    (ediprolog-kill-prolog)
    (ediprolog-map-variables #'kill-local-variable)))

(provide 'ediprolog)

;;; ediprolog.el ends here





Acknowledgement sent to Markus Triska <triska@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58196; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 28 Oct 2022 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.